Copyright: Copyright ¸ 1994-1996, Novell, Inc.  All rights reserved.  Patent Pending.


$Version and Copyright Notices
VeRsIoN=2.10  Novell Client 32 Configuration Help

CoPyRiGhT=(c) Copyright 1995, 1996, Novell, Inc.  All rights reserved.


%2 Login Script Variable
%2:  Enter the value that you want assigned to this login script variable.

 Notes


%3 Login Script Variable
%3:  Enter the value that you want assigned to this login script variable.

 Notes


%4 Login Script Variable
%4:  Enter the value that you want assigned to this login script variable.

 Notes


%5 Login Script Variable
%5:  Enter the value that you want assigned to this login script variable.

 Notes


1st Banner Name
1st banner name:  Specifies the text that is printed on the upper half of the banner page.  This text can be up to 12 characters long.

 Notes


1st Banner Name Notes

Default:  None

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


2nd Banner Name
2nd banner name:  Specifies the text that is printed on the lower half of the banner page.  This text can be up to 12 characters long.

 Notes


2nd Banner Name Notes

Default:  None

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


32-Bit Disk Access

Determine whether Windows** 95** is using 32-bit disk access by doing the following:

1.	Click here [image] to display the System Properties settings.

2.	Check the Virtual Memory setting on the Performance tab.  It should be set to 32-bit.  Otherwise, Windows 95 is not using 32-bit disk access.

Notes

If 32-bit disk access is disabled or unavailable on a particular machine due to an incompatible disk controller, Client 32* cannot provide the level of multi-threading available when 32-bit disk access is enabled.

If 32-bit disk access is enabled, the Requester can process multiple network requests concurrently.  For example,it can process requests from two DOS boxes and a Windows application or from multiple Win32 threads.

Although the NetWare* 32-bit Requester fully supports multi-threading and concurrent network requests, certain local disk drivers prevent it from being able to service multiple requests concurrently.  Therefore, the Requester disables its concurrent request support if it detects 32-bit disk access is not available.

The NetWare 32-bit Requester's performance is not dependent on whether 32-bit file access is enabled.  (The kind of file access in use is shown by the File System setting on the Performance tab.)

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Add (Frame Type)
Add:  Select a frame type, and then choose Add to add it to the list of logical boards that IPX* should bind to.


Additional Search Paths
Additional Search Paths:  Specifies specific directories that the Host Resources MIB searches for program files.

 Notes


Additional Search Paths Add
Additional Search Paths Add:   After specifying a directory, choose Add to add it to the list of Additional Search Paths.


Additional Search Paths Browse
Additional Search Paths Browse:  To view the directories on your workstation so you can select those that you want to add to the list of Additional Search Paths, choose Browse.


Additional Search Paths Delete
Additional Search Paths Delete:  After selecting a directory, choose Delete to delete it from the list of Additional Search Paths.


Additional Search Paths Notes

Default:  None

Example:  C:\WINDOWS

Notes

When the check box next to a directory has a check mark, all subdirectories of that directory are also searched.  To change this setting, uncheck this check box.

The specified directories are searched in addition to those that are searched because of the Directory levels to search from root setting.

This setting is optional.

The information about the programs is used by the network management console.  It is useful for keeping track of software on client workstations.

You can change this setting by using any of the following:

The Software Search tab of Host Resources MIB Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Resources

Syntax:  swdirectorysearch=path [*]

Example:  RESOURCES

SWDIRECTORYSEARCH=c:\novell\

SWDIRECTORYSEARCH=c:\apps\*


Additional Search Paths Replace
Additional Search Paths Replace:  After specifying a directory to replace and then selecting a replacement directory from the list of Additional Search Paths, choose Replace to replace the specified directory with the selected replacement.


Administrator Defaults Parameters

Link Support

Max Buffer Size

NetWare DOS Requester

Auto Reconnect Level

Cache Writes

Checksum

Close Behind Ticks

Delay Writes

DOS Name

Environment Pad

File Cache Level

First Network Drive

Force First Network Drive

Handle Net Errors

Hold

Large Internet Packets

LIP Start Size

Lock Delay

Lock Retries

Long Machine Type

Max Cache Size

Max Cur Dir Length

Message Timeout

Minimum Time to Net

Name Context

NCP* Max Timeout

Net Status Busy Timeout

Net Status Timeout

NetWare Protocol

Network Printers

Opportunistic Locking

PB Buffers

Pburst Read Window Size

Pburst Write Window Size

Preferred Server

Preferred Tree

Print Header

Print Tail

Read Only Compatibility

Search Dir First

Search Mode

Set Station Time

Short Machine Type

Show Dots

Signature Level

True Commit

NIOS

Alert Beep

Log File

Log File Size

Use Video BIOS

NWIP

NSQ Broadcast

Nearest NWIP Server

NWIP1_1 Compatibility

NWIP Domain Name

Autoretry Secs

Preferred DSS

Autoretries

Protocol IPX

INT64

INT7a

IPX* Diagnostics

IPX Retry Count

Pre-Allocate VGNMA Memory

Net Bind

Primary

SPX* Abort Timeout

SPX Connections

SPX Listen Timeout

SPX Verify Timeout

SPX Watchdogs

Resources

Modem

Printer

Tapedrive

SWDirectorySearchDepth

SWDirectorySearch

SNMP

Control Community

Enable Control Community

Enable Monitor Community

Monitor Community

snmpEnableAuthenTrap

sysContact

sysLocation

sysName

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Advanced IPX Tab

Primary logical board:

Frame type of primary logical board:

Use all detected frame types

Use only the following frame types:

Frame type:

List of selected frame types:	Add

Remove


Advanced Settings Parameters

Alert Beep

Auto Reconnect Level

Cache NetWare Password

Cache Writes

Checksum

Close Behind Ticks

Delay Writes

DOS Name

Environment Pad

File Cache Level

Force First Network Drive

Handle Net Errors

Large Internet Packets

LIP Start Size

Lock Delay

Lock Retries

Log File

Log File Size

Long Machine Type

Link Support Layer Max Buffer Size

Max Cache Size

Max Cur Dir Length

Message Timeout

Minimum Time to Net

NCP* Max Timeout

Net Status Busy Timeout

Net Status Timeout

NetWare* Protocol

Network Printers

Opportunistic Locking

Packet Burst*

Packet Burst Read Window Size

Packet Burst Write Window Size

Print Header

Print Tail

Read Only Compatibility

Search Dirs First

Search Mode

Set Station Time

Short Machine Type

Show Dots

Signature Level

True Commit

Use Video BIOS

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Advanced Settings Tab

Parameter Groups	Setting

List of Parameters      	Range

Description	Dynamic


Alert Beep
Alert Beep:  Specifies whether Client 32* should sound an audible beep when it displays popup alert messages.

 Notes


Alert Beep Notes

Default:  On

Valid values:  on | off

Notes

This parameter only applies to messages that are displayed in character mode.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NIOS

Syntax:  alert beep= on | off

Example:  NIOS

ALERT BEEP=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Allow Connection Watchdogging
Allow connection watchdogging:

To have SPX* honor application requests for connection watchdogging, check this check box.

To force SPX to not watchdog connections, uncheck this check box.

 Notes


Allow Connection Watchdogging Notes

Default:  On

This setting is for future use.

You can change this setting by using any of the following:

The SPX* tab of IPX* 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  spx watchdogs= on | off

Example:  PROTOCOL IPX

SPX WATCHDOGS=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Allow Users to Add/Remove/Change Trustees

To allow users to add trustees, remove trustees, and change the rights assigned to trustees using the NetWare* Rights property page, check this check box.

To prevent users from changing trustee assignments using the NetWare Rights property page, uncheck this check box.

Notes

By default, users can change trustee assignments using the NetWare Rights property page.

You can change this setting using the System Policy Editor.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Allow Users to Change Compression

To allow users to change the compression attributes using the NetWare* Folder property page, check this check box.

To prevent users from changing the compression attributes using the NetWare Folder property page, uncheck this check box.

Notes

The compression attributes are Don't Compress and Immediate Compression.

By default, users can change the compression attributes using the NetWare Folder property page.

If the Allow Users to Change Extended Properties check box is unchecked, this setting is ignored and users cannot change the compression attributes, which are a subset of the extended properties.

You can change this setting using the System Policy Editor.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Allow Users to Change Extended Properties

To allow users to change extended properties using the NetWare* File or NetWare Folder property page, check this check box.

To prevent users from changing extended properties using the NetWare File or NetWare Folder property page, uncheck this check box.

Notes

The extended properties for files are Rename Inhibit, Sharable, Delete Inhibit, Transactional, Copy Inhibit, and Purge Immediate.

The extended properties for folders are Don't Compress, Immediate Compression, Rename Inhibit, Purge Immediate, and Delete Inhibit.

By default, users can change the extended properties using the NetWare File or NetWare Folder property page.

You can change this setting using the System Policy Editor.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Assigning Unique Names for Servers and Trees

It is important that all the trees and servers in your network have unique names.  It doesn't matter if the servers are running NetWare* 3* or NetWare 4*; their names should still be unique.

Otherwise, the information shown for a tree might really be the information for a server of the same name.  This is because the provider just receives the name of the object and no distinguishing information which would tell it whether it is a tree or server.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Auto Detect Configuration
Auto detect configuration:  Select this parameter if DHCP is configured to provide NetWare/IP* parameters.

 Notes


Auto Detect Configuration Notes

You can change this setting by using the Parameters tab of Novell* NetWare*/IP* Protocol Properties.

You cannot change this setting by using the System Policy Editor or Administrator Defaults

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Auto Endcap
Auto Endcap:  If you want captured data to be closed and sent to the printer after you exit an application, check this check box.  If you don't want captured data to be closed and sent to the printer after you exit an application, uncheck this check box.  (This allows more information to be added to the print job.)

 Notes


Auto Endcap Notes

Default:  On

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Auto Reconnect Level
Auto Reconnect Level:  Determines what is restored after a network critical error.

 Notes


Auto Reconnect Level Notes

Default:  3

Range:  0 to 5

These number values cause the following to be restored:

0 = No auto-reconnect

1 = Devices (connections, drives, printers) only

2 = Above plus read-only files

3 = Above plus all files and file locks

4 = Above plus added file write data recovery guarantee

5 = Above plus switch to local disk and resync files later (only available with Disconnectable NetWare).

Dynamic

Notes

For more information, see Ensuring the Data Integrity of the Cache.

If you specify 5 when Disconnectable NetWare* is not available, the auto reconnect level is effectively 4.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  auto reconnect level=number

Example:  NETWARE DOS REQUESTER

AUTO RECONNECT LEVEL=4

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Bindery Connection
Bindery connection:  To have the graphical login utility establish a bindery connection to the server, check this check box.  To have the graphical login utility establish a NetWare* Directory Services* connection to the server, uncheck this check box.

 Notes


Bindery Connection Notes

Default:  Off

If you need a bindery connection to a NetWare* 4* server, check this check box.  You cannot make a bindery connection to a Directory tree.

You can change this setting by using either of the following:

The Login tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Broadcast Response (RSP)
Broadcast Response (RSP):  Specifies how the workstation should respond to a broadcast request.

NR = Respond directly to all Broadcast Requests.  A Broadcast Response isn't required.

SR = Respond to all Broadcast Requests with a Single Route Broadcast frame.

AR = Respond to all Broadcast Requests with an All Routes Broadcast frame.

 Notes


Broadcast Response (RSP) Notes

Default:  NR

Valid Values:  NR, SR, or AR

To minimize network traffic, use NR or SR.  AR causes more network traffic and is, generally, not needed for client workstations.

This setting is optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


Broadcast SAP Nearest Server Queries Notes

Default:  On

Tells the NetWare*/IP* client which method to use to determine the Nearest NetWare Server.

This is an optional setting for NetWare/IP.

You can change this setting by using any of the following:

The Parameters tab of Novell* NetWare/IP Protocol Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  nsq broadcast= on | off

Example:  NWIP

NSQ BROADCAST=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Broadcast SAP Nearest Server Queries to Network
Broadcast SAP nearest server queries to network:  To have the NetWare*/IP* client find the Nearest NetWare Server by broadcasting the request on the local network, check this check box.  To have the NetWare/IP client find the Nearest NetWare Server by sending the request to a DSS, uncheck this check box.

 Notes


Broadcast on Alternate Ring count (TRA)
Broadcast on Alternate Ring count (TRA):  Specifies the number of times to send General Broadcast frames across the bridge to the alternate ring.

 Notes


Broadcast on This Ring Only count (TRO)
Broadcast on This Ring Only count (TRO):  Specifies the number of times to send General Broadcast frames on this ring without sending them across the bridge to the alternate ring.

 Notes


Cache NetWare Password
Cache NetWare Password:  Specifies whether the NetWare* password from the first NetWare login is stored in memory and used to authenticate to additional NetWare resources.

 Notes


Cache NetWare Password Notes

Default:  On

Valid values:  on | off

Notes

Use the default setting if you want the convenience of being prompted for your username and password only when Client 32* cannot authenticate to a network resource by using the username and password you specified when you first logged in.

Your username and password are stored in memory, not on your hard disk. After you shut down your computer, your username and password are no longer in memory and you will be prompted for them again the next time you start your computer.

Set the value of this setting to "off" if you want the security of being prompted for your username and password whenever you access a network resource that you are not already authenticated to.

For example, if you log out of a tree or server, you have to log back in to regain access to it. Also, you have to specify your username and password for every bindery resource you want to access.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32 Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Cache Writes
Cache Writes:  Specifies whether network writes are cached at this workstation.

 Notes


Cache Writes Notes

Default:  On

Valid values:  on | off

Dynamic

Notes

The default setting "on" improves the performance of NetWare* Client* 32* by saving files to workstation memory before saving them to the network.

Setting the value for this parameter to "off" improves data integrity but reduces performance.

Leaving the value for this setting as "on" (the default) can cause data loss if the NetWare server runs out of disk space between write requests.

Network writes are not cached if True Commit is "on."

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  cache writes= on | off

Example:  NETWARE DOS REQUESTER

CACHE WRITES=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Cannot Start the System Policy Editor
The System Policy Editor (POLEDIT.EXE) could not be started.  If it is not in your Windows** or Windows System folder, start the System Policy Editor by using another method (for example, by using the Start button on the taskbar).

If you do not know where the System Policy Editor is and you haven't installed it, install it.  For installation instructions, see Installing the System Policy Editor.


Checksum
Checksum:  Specifies the importance of validating NetWare* Core Protocol*, or NCP*, packets.

 Notes


Checksum Notes

Default:  1

Range:  0 to 3

The values are as follows:

0 = Disabled

1 = Enabled but not preferred

2 = Enabled and preferred

3 = Required

Dynamic

Notes

Setting the value for this parameter to 2 or 3 increases data integrity but decreases performance.

Ethernet frame type 802.3 does not support checksums.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  checksum=number

Example:  NETWARE DOS REQUESTER

CHECKSUM=3

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Clear Current Connections
Clear current connections:  To have the graphical login utility clear any existing connections when you log in, check this check box.  To prevent existing connections from being lost when you log in, uncheck this check box.

 Notes


Clear Current Connections Notes

Default:  On

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Clear Current Settings
Removes the path and printer model information.


Client 32 Configuration

Overview

Understanding Client 32* Configuration

Configuring Client 32

Configuring Global Client 32 Settings

Configuring Protocols and Optional Features

Configuring for Users

Fine-Tuning

Reference

Configuration Reference

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Client 32 System Policy Settings
Specify Client 32 System Policy Editor Settings

1  Choose Default Computer.

2  Choose Edit.

3  Choose Properties.

4  Set the values that you want.

5  Choose OK.

Notes

Initially, all the Client 32* settings have a gray box [image] in front of them.  This indicates that this setting will not be changed when users log in.

When you choose a gray box, a check mark [image] appears in the box.  The check mark indicates that this setting will be changed to "on" or the value that you specify.  If you need to specify a value, you can do so near the bottom of the Default Computer Properties dialog box.  Appropriate instructions are also displayed there.

When you choose a check mark, the box becomes blank [image].  This indicates that this setting will be changed to "off" for settings with values of "on" and "off."  For other settings, this indicates that any existing value for the setting will be removed from the registry and the default value will be used.

For information about the settings themselves, see the List of Global Client 32 Settings.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Client 32 Tab

Preferred server

Preferred tree

Name context

First network drive


Close Behind Ticks
Close Behind Ticks:  Specifies the amount of time in ticks to wait after a close request before closing a file.

 Notes


Close Behind Ticks Notes

Default:  0

Range:  0 to 65535 (ticks)

Dynamic

Notes

Setting the value for this parameter to 0 increases data integrity but decreases performance.

Using this setting improves performance most when files are opened and closed frequently.

If a file is opened again during the delay period specified by this setting, the file is reused without hitting the network.

If Close Behind Ticks is 0, the value of Delay Writes has no effect.

The value of File Cache Level does not affect whether files are held open after they are closed.  The value of Close Behind Ticks is the only value that affects this.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  close behind ticks=number

Example:  NETWARE DOS REQUESTER

CLOSE BEHIND TICKS=36

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Close Script Results Automatically
Close script results automatically:  To have the Login Results window close automatically, check this check box.  To be able to close the Login Results window yourself, so that you can read the messages first, uncheck this check box.

 Notes


Close Script Results Automatically Notes

Default:  On

When you log in using the graphical login utility, a Login Results window appears containing any messages resulting from the login.  If you want to read these messages, you should uncheck this check box so the Login Results window is not closed automatically.

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuration Overview

Overview

What's New

New Configuration Features and Considerations

Configuring Using Property Sheets

Configuring for Long Filename Support

Configuring Global Client 32* Settings

System Registry Configuration Notes

Assigning Unique Names for Servers and Trees

New Configuration Settings

Default Capture Settings

Graphical Login

NIOS

Resources

Changed Configuration Settings

Link Support

NetWare DOS Requester*

Protocol IPX*

Protocol SPX*

SNMP

Unsupported Configuration Settings

List of Unsupported Configuration Settings

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuration Reference

Link Driver

Link Support

NetWare* DOS Requester*

NIOS

NetWare/IP*

Property Sheets

Protocol IPX*

Resources

SNMP

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configure Source Routing: 32-bit ODI
Configure Source Routing

1.	Click here  [image] to display the Network control panel.

2.	Choose a token-ring or FDDI network adapter that has a 32-bit ODI* LAN driver.

3.	Choose Properties.

4.	Choose SRoute 32.

5.	Check Enabled.

6.	Specify any other settings as needed.

7.	Choose OK.

8.	Choose OK.

9.	Restart your workstation.

Notes

The SRoute 32 property page is two pages in one.  For a token-ring network adapter, one page is for the Token-Ring frame type, and the other is for the Token-Ring_Snap frame type.

If you need source routing for both the Token-Ring and Token-Ring_Snap frame types, enable source routing and configure for the Token-Ring frame type.  Then, change the Source Routing Parameters For value to Token-Ring_Snap and enable and configure its source routing settings.

Generally, the default values for source routing work well.

You can also configure source routing for FDDI network adapters.

Generally, client workstations don't need to use All Routes Broadcast frames.  By default, they won't, which minimizes the network traffic required for source routing.

For information about configuring source routing for 16-bit ODI LAN drivers, see SRoute 16 Tab.

For more information about settings for source routing, see SRoute 32 Tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring Global Client 32 Settings

Overview

Overview of Global Client 32 Settings

Procedure

How to Create Global Settings

Reference

List of Global Client 32* Settings

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring Global Client 32 Settings: How To
Create Global Settings for Client 32

1.	(Conditional) If you haven't already installed the System Policy Editor, install it now.

2.	Click here [image] to start the System Policy Editor (POLEDIT.EXE).

3.	Open the Client 32* policy template (CLIENT32.ADM).

4.	Begin editing a new policy file.

5.	Set the values for the Client 32 properties.

6.	Save the policy file as CONFIG.POL.

7.	Copy the policy file to the SYS:\PUBLIC directory of every NetWare* server acting as a preferred server.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring Global Client 32 Settings: Overview
Overview of Global Client 32 Settings

Client 32* provides a custom policy template (the CLIENT32.ADM file) for use with the Windows** 95** System Policy Editor (POLEDIT.EXE).  You can use the System Policy Editor and the Client 32 template to create a policy file that specifies the values for Client 32 settings.

After ensuring that the settings in the policy file work correctly, you can put the policy file in the SYS:\PUBLIC directory of every preferred server.  The Client 32 settings are read from the policy file and then stored in the registry each time a user logs in to the network.

The policy file that is used is the one in the SYS:\PUBLIC directory of the preferred server.  If no preferred server is specified, the policy file in the SYS:\PUBLIC directory of the server with the first connection is used.

The primary documentation for the System Policy Editor is in the Microsoft** Windows 95 Resource Kit.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring IPX
Configure IPX

1.	Click here  [image] to display the Network control panel.

2.	Choose IPX* 32-bit Protocol for Novell* NetWare* Client* 32*.

3.	Choose Properties.

4.	Specify any settings you want.

5.	Choose OK.

6.	Choose OK.

Notes

For most networks, IPX does not need to be configured.  If your network includes wide area network (WAN) links or slow links, you might want to adjust some of the settings.

For more information about IPX settings, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring NetWare/IP
Configure NetWare/IP

1.	Click here  [image] to display the Network control panel.

2.	Choose Novell* NetWare*/IP* Protocol.

3.	Choose Properties.

4.	Specify the NetWare/IP Domain name.

5.	Specify any other settings as appropriate.

6.	Choose OK.

7.	Choose OK.

Notes

For more information about NetWare/IP settings, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring Protocols and Optional Features

Configuring the Host Resources MIB

Configuring IPX*

Configuring NetWare*/IP*

Configuring SNMP

Configuring for Long Filename Support

Configuring for Source Routing

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring SNMP
Configure SNMP

1.	Click here  [image] to display the Network control panel.

2.	Choose Novell* SNMP Agent.

3.	Choose Properties.

4.	Specify the settings as appropriate.

5.	Choose OK.

6.	Choose OK.

Notes

For more information about settings for the Novell SNMP Agent, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring Source Routing: NDIS
Configure Source Routing

1.	Click here  [image] to display the Network control panel.

2.	Choose IPX* 32-bit Protocol for Novell* NetWare* Client* 32*.

3.	Choose Properties.

4.	Choose IPX.

5.	Check Enable Source routing over NDIS**.

6.	Choose OK.

7.	Choose OK.

8.	Restart your workstation.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring User Profiles

Client 32* fully supports Windows** 95** system policies and user profiles, as outlined in the Microsoft** Windows 95 Resource Kit.  Client 32 looks for a system policy file named CONFIG.POL in the \\Preferred Server\SYS\PUBLIC directory.  There is, however, one exception from Microsoft's documentation in regards to user profiles.  The USER.DAT file will be stored in the \\Preferred Server\SYS\MAIL directory for each user if the client is used in a bindery-only environment.

In an NDS* environment, however, the MAIL directory only exists if bindery emulation is running.  Since this cannot be guaranteed, administrators of NDS environments must specify the path for the USER.DAT file in the Home Directory attribute of the NDS user profile.  This can be done through NWADMIN by choosing a user, choosing the Environment tab, and then entering a Home Directory for the user.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring Using Property Sheets

Overview

Overview

Reference

Novell* NetWare* Client* 32*

Network Adapter

IPX* 32-Bit Protocol for Novell NetWare Client 32

Novell NetWare/IP* Protocol

Host Resources MIB for Novell Client 32

Novell SNMP Agent

Printer

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring for Source Routing

Overview

Understanding Source Routing

Procedure

Configure Source Routing for a 32-bit ODI* LAN Driver

Configure Source Routing for an NDIS** LAN Driver

Reference

SRoute 32 Tab

SRoute 16 Tab

IPX* Source Routing for NDIS Drivers

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Configuring for Users

Configuring for Login

Configuring Login Defaults

Configuring for Printing

Set Up a Network Printer

Understanding Default Settings for Print Captures

Understanding Point and Print

Set Up Point and Print

Configuring User Profiles

Configuring User Profiles


Configuring the Host Resources MIB
Configure the Host Resources MIB

1.	Click here  [image] to display the Network control panel.

2.	Choose Host Resources MIB for Novell* Client* 32*.

3.	Choose Properties.

4.	Specify any settings you want.

5.	Choose OK.

6.	Choose OK.

Notes

All the Host Resources MIB settings are optional.

For more information about Host Resources MIB settings, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Control Community
Control community:  Specifies the name for the control community.

 Notes


Control Community Notes

Default:  None

The control community is the read/write community (the community that is allowed to do SET operations).

A community name can be any arbitrary ASCII string.  It can include any characters except space, tab, open square bracket ( [ ), equal sign ( = ), colon ( : ), semicolon ( ; ), double quotation mark ( " ), or number sign ( # ).

Community name strings are case-sensitive.

Any community name established for read/write access is also valid for read-only access.

When the control community is disabled, all write access is disabled.

You can change this setting by using any of the following:

The SNMP tab of Novell* SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  control community = name

Example:  Desktop SNMP

control community = secret

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Current Printer Model
Current printer model:  Shows the manufacturer and model currently associated with the selected printer.

 Notes


Current Printer Model Notes

Default:  None

You can change this setting by using the Setup Point and Print tab of Printer Properties.


Custom Bind List
This list shows the frame types of the logical boards that IPX* should bind to.


Custom Configuration
Custom configuration:  Select this parameter if DHCP is not configured to provide NetWare*/IP* parameters or if you need to customize the NetWare/IP parameters for this workstation.

 Notes


Custom Configuration Notes

You can change this setting by using either of the following:

The Parameters tab of Novell* NetWare*/IP* Protocol Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


DHCP
Dynamic Host Configuration Protocol (DHCP)

The rules by which an IP address can be assigned to a workstation when the workstation requests one.  The IP address is assigned to the workstation only temporarily.  The next time the workstation requests an IP address, it might or might not be assigned the same one.


DOS Name
DOS Name:  Sets the name of the operating system used in the shell.

 Notes


DOS Name Notes

Default:  MSDOS

Example:  DRDOS

Notes

This value can be 1 to 5 characters long.

The %OS variable in the login or profile script uses this variable when mapping a search drive to the network DOS directory.

Client 32* automatically recognizes DR DOS and sets this option.  However, setting this option overrides the auto-detect feature.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  dos name="name  "

Example:  NETWARE DOS REQUESTER

DOS NAME="DRDOS"

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Default Capture Tab

Overview

Output Settings

Number of copies

Form feed

Enable tabs	Number of spaces

Banner Settings

Enable banner

1st banner name

2nd banner name

Other Settings

Hold	Seconds before timeout

Auto endcap

Keep

Notify


Default Capture Tab Overview

Use the Default Capture tab to specify default printer settings for print captures created with the Windows 95 graphical user interface.  This could be useful if you want to use a DOS or Windows** 3.x  application that relies on print captures and if you can't put the capture in a login script.

 Notes


Default Capture Tab Overview Notes

These settings apply only to printer ports that are captured through the Windows** 95** graphical user interface.  Printer ports that are captured in a login script or from the command line do not use these settings.

These settings do not apply to printers that appear in the Windows 95 Printers folder.  Captured printer ports do not appear in the Windows 95 Printers folder.  Captured printer ports are viewed by displaying the properties of a printer that is in the Printers folder, displaying the Details property page, and then browsing the list under the heading Print to the following port.

Changes to this property page do not affect existing print captures until after you restart your computer.

Changing the printer settings for a specific captured printer port does not change the default printer settings.

For instructions about how to display Novell* NetWare* Client* 32* Properties so you can see this tab, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Delay Writes
Delay Writes:  Specifies whether writes can be delayed beyond the close of an application.

 Notes


Delay Writes Notes

Default:  Off

Valid values:  on | off

Dynamic

Notes

Set the value of this parameter to "on" if you want faster performance.

When Delay Writes is "on," network writes can lag behind an application's close file request.  This allows the application to continue without having to wait for the data to actually be written to the network server.  Therefore, the application can respond more quickly.

When Delay Writes is "on" and you exit Windows or exit the MS-DOS Prompt where you were running an application, all outstanding write data is written to the network without delay.

The amount of time for the delay is specified by the Close Behind Ticks parameter.  If the value of Close Behind Ticks is 0, writes are not delayed regardless of the value of Delay Writes.

 If Cache Writes is "off," writes are not delayed regardless of the value of Delay Writes.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  delay writes= on | off

Example:  NETWARE DOS REQUESTER

DELAY WRITES=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Directory Levels to Search Notes

Default:  1

Range:  0 to 4,294,967,295 (levels)

Notes

Zero (0) means that no search is done unless Additional Search Paths are specified.

The first level is the root so, by default, only program files in the root are found.

All local hard disks are searched.  No diskette drives, CD-ROM drives, or network drives are searched.

If you have a lot of local disk space (such as a 1GB hard disk), you should not have the Host Resources MIB search all the disk space.  For optimal performance, minimize the search as much as possible.

The information about the programs is used by the network management console.  It is useful for keeping track of the software on client workstations.

You can change this setting by using any of the following:

The Software Search tab of Host Resources MIB Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Resources

Syntax:  swdirectorysearchdepth=number

Example:  RESOURCES

SWDIRECTORYSEARCHDEPTH=3


Directory Levels to Search from Root
Directory levels to search from root:  Specifies a number that indicates how far down the Directory tree the Host Resources MIB searches for program files.

 Notes


Directory Tree

A hierarchical structure of objects in the Directory database. The Directory tree includes container objects that are used to organize the network.

The structure of the Directory tree can be based on a logical organization of objects, and not necessarily on their physical location.


Disable Point and Print
Disable point and print:  If you want to disable point and print for the selected printer, check this check box.  Otherwise, uncheck this check box.

 Notes


Disable Point and Print Notes

Default:  Off

If you check this check box, users won't be able to use point and print to set up the selected printer.  If you want to reenable point and print for the selected printer, uncheck this check box.

Client 32* saves the path and printer model information.  Therefore, you can easily disable and re-enable point and print without having to respecify information or recopy the print driver files.

You can change this setting by using the Setup Point and Print tab of Printer Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Display Connection Page
Display connection page:  To have the graphical login utility display its Connection page, check this check box.  To hide the Connection page, uncheck this check box.

 Notes


Display Connection Page Notes

Default:  Off

The Connection page allows you to specify the following information when logging in using the graphical login utility:

The tree or server

Whether to use a bindery connection

The context

Whether login should clear your current connections

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Display Novell SNMP Agent Properties
Display SNMP Properties

1.	Click here  [image] to display the Network control panel.

2.	Choose Novell* SNMP Agent.

3.	Choose Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Display Script Page
Display script page:  To have the graphical login utility display its Script page, check this check box.  To hide the Script page, uncheck this check box.

 Notes


Display Script Page Notes

Default:  Off

The Script page allows you to specify the following information when logging in using the graphical login utility:

An alternate login script

An alternate profile script

Whether the scripts are run

Whether the Login Results window is automatically closed

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Display Variables Page
Display variables page:  To have the graphical login utility display its Variables page, check this check box.  To hide the Variables page, uncheck this check box.

 Notes


Display Variables Page Notes

Default:  Off

The Variables page allows you to specify up to four variables that are passed to the login scripts that are executed when logging in using the graphical login utility.

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Domain

A group of networked computers under common DNS management.  Domains can be determined by logical grouping rather than by physical location.


Domain Name Notes
NetWare/IP Domain Name Notes

Default:  None

This is a required setting for NetWare*/IP*.

You can change this setting by using any of the following:

The Parameters tab of Novell* NetWare/IP Protocol Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  nwip domain name=domain_name

Example:  NWIP

NWIP DOMAIN NAME=NWIP.ATLANTIC.COM

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Domain Name Service (DNS)

A standardized system that provides information about hostname and IP address mapping throughout an internetwork.  DNS maintains this information in a decentralized distributed database.


Domain SAP/RIP Server
Domain SAP/RIP Server (DSS)

A service on a NetWare*/IP* network that replaces IPX* broadcast services.  DSS servers maintain a database that provides NetWare/IP servers and clients with SAP/RIP information (service availability and routing) required by NetWare applications.


Dynamic
Dynamic:  Shows whether the currently selected setting is dynamic.  Changes to dynamic settings take effect when you choose OK on the Network control panel.  Changes to other settings take effect after you restart your computer.


Dynamic Settings
Dynamic Setting

This setting is dynamic.  Changes to this setting take effect when you choose OK on the Network control panel.  You do not need to restart your computer for the change to take effect.


Editing a New Policy File
Edit a New Policy File

1.	(Conditional) If you haven't started the System Policy Editor, start it now.

2.	Choose File.

3.	Choose New File.


Enable Authentication Traps
Enable authentication traps:  If you want Desktop SNMP to send a trap message when someone without proper access tries to use SNMP to get or change information that Desktop SNMP manages, check this box.

 Notes


Enable Authentication Traps Notes

Default:  Off

To improve the security of your workstation, enable the Desktop SNMP to send a trap message to the manager by checking this box.

You can change this setting by using any of the following:

The SNMP tab of Novell* SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  snmpEnableAuthenTrap = on | off

Example:  Desktop SNMP

snmpEnableAuthenTrap = on

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enable Banner
Enable banner:  If you want a banner page for each print job, check this check box.  Otherwise, uncheck this check box.

 Notes


Enable Banner Notes

Default:  On

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enable Control Community
Enable control community:  Select one of the following settings:

any:  Enables the control community, allowing all community names read and write access.

off:  Disables the control community.

specified:  Enables the control community with the community name that is specified.

 Notes


Enable Control Community Notes

Default:  Off

The control community is the read/write community (the community that is allowed to do SET operations).

If you select "specified," the Novell* SNMP Agent uses only the specified control community.

If you select "any," any community string can be used to gain access.  The control community that is specified has access just like any other control community--no more, no less.

If you select "off," access to the control community is disabled.  The control community that is specified cannot access the control community.  Neither can any other community name.

When the control community is disabled, no management entity can access information for that community.  For example, no one can use the Novell SNMP Agent to do SET operations against the data it manages.

"Omitted" is no longer a valid value for this setting.

You can change this setting by using any of the following:

The SNMP tab of Novell SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  enable control community = specified | any | off

Example:  Desktop SNMP

enable control community = any

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enable Monitor Community
Enable monitor community:  Select one of the following settings:

any:  Enables the monitor community, allowing all community names read access.

off:  Disables the monitor community.  When the monitor community is disabled, all read access is disabled.

specified:  Enables the monitor community with the community name that is specified.

 Notes


Enable Monitor Community Notes

Default:  Specified

The monitor community is the read-only community (the community that is allowed to do GET and GET NEXT operations).

If you select "specified," the Novell* SNMP Agent uses only the specified monitor community.

If you select "any," any community string can be used to gain access.  The monitor community that is specified has access just like any other monitor community--no more, no less.

If you select "off," access to the monitor community is disabled.  The monitor community that is specified cannot access the monitor community.  Neither can any other community name.

When the monitor community is disabled, no management entity can access information for that community.  For example, no one can use the Novell SNMP Agent to do GET operations against the data it manages.

"Omitted" is no longer a valid value for this setting.

You can change this setting by using any of the following:

The SNMP tab of Novell SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  enable monitor community = specified | any | off

Example:  Desktop SNMP

enable monitor community = specified

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enable ODI Support for NDIS Protocols
Enable ODI support for NDIS protocols:  If you need to use an NDIS** protocol with this ODI* driver, check this check box.  Uncheck this check box only if you are sure that you don't need to use an NDIS protocol with this ODI driver.

 Notes


Enable ODI Support for NDIS Protocols Notes

Default:  On

If you are using Microsoft** networking components (such as the Client for Microsoft Networks or TCP/IP) with this ODI* driver, you need to have the ODI support for NDIS** protocols enabled.  Therefore, you should check this check box.

This check box controls whether the Novell ODINSUP network component is installed.  To install Novell ODINSUP, check this check box.  To remove Novell ODINSUP, uncheck this check box.

You can change this setting by using the ODI Driver tab of the property sheet for your network adapter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enable Source Routing Over NDIS
Enable Source routing over NDIS:  To have the IPX* protocol do source routing for NDIS** token-ring and FDDI drivers, check this check box.

 Notes


Enable Tabs
Enable tabs:  If you want the printer to print the specified number of spaces  in place of tab characters, check this check box.  If you don't want spaces to be printed in place of tabs in text print jobs, uncheck this check box.

 Notes


Enable Tabs Notes

Default:  Off

This setting is for text print jobs.  You don't need this setting for byte-stream print jobs.

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Enabled
Enabled:  If you need this ODI* driver to enable source routing, check this check box.  If you don't need source routing, uncheck this check box.

 Notes


Enabled Notes

Default:  Off

Enable source routing for a token-ring or FDDI ODI* LAN driver to pass frames ( packets) from NetWare* through IBM** (or compatible) source route bridges.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Environment Pad
Environment Pad:  Adds the specified number of bytes to the DOS environment for DOS applications.

 Notes


Environment Pad Notes

Default:  64

Range:  0 to 32768 (bytes)

Notes

Use this parameter if you have DOS applications that need to add to the environment after Windows is loaded.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  environment pad=number

Example:  NETWARE DOS REQUESTER

ENVIRONMENT PAD=512

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


File Cache Level
File Cache Level:  Defines how Client 32* should cache file data.

 Notes


File Cache Level Notes

Default:  3 (long-lived caching)

Range:  0 to 4

The values are as follows:

0 = Disabled

1 =  Read-ahead and write-behind only

2 = Short-lived caching

3 = Long-lived caching

4 = Warehouse caching

Dynamic

Notes

The larger the number value, the better the performance.

Network writes are not cached if True Commit is "on" or if Cache Writes is "off."

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  file cache level=number

Example:  NETWARE DOS REQUESTER

FILE CACHE LEVEL=3

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


File Cache Level:  Disabled

Turns file caching off, so that Client 32* does not do file caching.  When file caching is off, Client 32 does not use any extended memory for caching.


File Cache Level:  Long-Lived Caching

When using this caching method, Client 32* retrieves file data from cache buffers that are already in memory if a file is closed and reopened and if the file data is still in the buffers--but only if no changes have been made to the file since the last time it was in cache memory.


File Cache Level:  Read-Ahead and Write-Behind Only

Causes Client 32* to use read-ahead and write-behind file caching without using any other file caching methods.


File Cache Level:  Short-Lived Caching

When using this caching method, Client 32* can cache file data up until the file is closed.  If the file is reopened, file read and write operations will begin fresh instead of checking the cache to see if any file data is still there.


File Cache Level:  Warehouse Caching

When using this caching method, Client 32* uses both long-lived caching and caching on the local disk.  Choose this file cache level when local disk access is faster than network file access.


File and Folder Shell Extension Settings

Overview

Overview

Procedures

Show NetWare* Rights Property Page

Allow Users to Add/Remove/Change Trustees

Allow Users to Change Extended Properties

Allow Users to Change Compression

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


File and Folder Shell Extension Settings Overview

You can use these settings to restrict what users can do using the NetWare* Folder, NetWare File and NetWare Rights property pages.

These property pages apply to files, folders, and volumes that are located on the network.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Fine Tuning
Fine-Tuning

Performance

Memory Usage

Disk Usage

Wide Area Networks

Mobile Computing

Data Integrity

File Caching


Fine Tuning Data Integrity
Fine-Tuning Data Integrity

For maximum data integrity, turn True Commit "on."

To improve data integrity without turning True Commit "on," turn Cache Writes "off" and set Close Behind Ticks to 0.  Also, make sure that Delay Writes is "off" (the default).


Fine Tuning Disk Space
Fine-Tuning Disk Space

If you are running low on free disk space, you can erase unnecessary NetWare* client files.

See the list of files for Client 32.  Make sure you don't need a file for your configuration before erasing it.

If you replaced another NetWare client with NetWare Client* 32* for Windows** 95**, you can erase the files from the old NetWare client.  See the manufacturer's documentation for information about the files shipped with other NetWare clients.

For example, if you were running the Microsoft** Client for NetWare Networks, you could erase those files to free up some disk space.  For information about the files required for the Microsoft Client for NetWare Networks,.see the Microsoft Windows 95 Resource Kit.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Fine Tuning File Caching
Fine-Tuning File Caching

To adjust the file caching that is done, change the File Cache Level.

To adjust the amount of memory set aside for caching network files, change the Max Cache Size.

To turn off caching of write data on the workstation, turn Cache Writes "off."

To turn off caching of write data on the server (and the workstation), turn True Commit "on."

To turn off all file caching on the workstation, set the File Cache Level to 0.

To delay writing data to the network, turn Delay Writes "on."


Fine Tuning Memory Usage
Fine-Tuning Memory Usage

To reduce the amount of extended memory that Client 32* uses, you might choose to reduce the cache size.

To eliminate the cache altogether, set the File Cache Level to 0.

By default, Client 32 uses 309 bytes of conventional memory based on the default values for the network printers, print header, and print tail settings.  At most, Client 32 uses about 18 KB when these settings are at their maximum values.

If you don't need the current values of these settings in order to print, you can reduce the amount of conventional memory that Client 32 uses by reducing the number of network printers, the size of the print header, and the size of the print tail.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Fine Tuning Performance
Fine-Tuning Performance

For best performance, Windows** 95** should be configured to use 32-bit disk access to the swap file (virtual memory).

For best performance, have IPX* bind only to those boards that it needs to.

For best performance, allow writes to be delayed.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


First Network Drive
First Network Drive:  Selects the letter for the first network drive.  When Client 32* connects to the network, it assigns this letter to the first network drive.

 Notes


First Network Drive Notes

Default:  First available drive

You should not use a letter that is used by a local drive.

You cannot map network drives to drive letters that come before the first network drive letter by using the Map Network Drive dialog box.  However, you can do this at an MS-DOS** Prompt.

You can change this setting by using either of the following:

The Client 32 tab of Novell* NetWare* Client* 32* Properties

Administrator Defaults

You cannot change this setting by using the System Policy Editor.

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  first network drive=drive_letter

Example:  NETWARE DOS REQUESTER

FIRST NETWORK DRIVE=G

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Force First Network Drive
Force First Network Drive:  Specifies the network drive letter the SYS:LOGIN directory is mapped to after logging out of a server or network.

 Notes


Force First Network Drive Notes

Default:  Off

Valid values:  on | off

Notes

Important!  For this setting to work, also set the First Network Drive setting.

Important!  The drive is map rooted to the first network drive and not to the \LOGIN directory as with the NetWare* Shell software such as NETX.  You should modify any batch files affected by this change.

Setting the value to "on" specifies that the drive letter that the SYS:LOGIN directory is mapped to after logging out must be the same as the one used in FIRST NETWORK DRIVE.

Setting the value to "off" specifies that the drive letter is the drive letter you logged out from, unless you logged out from a local drive.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  force first network drive= on | off

Example:  NETWARE DOS REQUESTER

FORCE FIRST NETWORK DRIVE=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Form Feed
Form feed:  If you want the printer to add blank paper at the end of the print job, check this check box.  Otherwise, uncheck this check box.

 Notes


Form Feed Notes

Default:  On

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Frame Definition
Frame

A packet data format for a given media.

Some media support multiple packet formats (frames), such as Ethernet 802.2, Ethernet 802.3, Ethernet II, Ethernet SNAP, Token-Ring, or Token-Ring SNAP.

For NetWare* 4*, the default Ethernet frame type is 802.2.


Frame Type
Frame type:  Choose a frame type, and then choose Add to add it to the list of frame types that you want IPX* to use.

 Notes


Frame Type Notes

Default:  Ethernet_802.2

A few commonly used frame types are Ethernet_802.2, Ethernet_802.3, Ethernet_II, Ethernet_SNAP, Token-Ring, and Token-Ring_SNAP.

For instructions about how to display IPX* 32-bit Protocol...Properties so you can change this setting, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Frame Type of Primary Logical Board
Frame type of primary logical board:  Specifies the frame type of the logical board that IPX* uses as the primary board.

 Notes


Frame Type of Primary Logical Board Notes

Default:  Ethernet_802.2

A few commonly used frame types are Ethernet_802.2, Ethernet_802.3, Ethernet_II, Ethernet_SNAP, Token-Ring, and Token-Ring_SNAP.

For instructions about how to display IPX* 32-bit Protocol...Properties so you can change this setting, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


General Broadcasts (GBR)
General Broadcasts (GBR):  If you want all General Broadcast frames sent as All Routes Broadcast frames, check this check box.  (This is not recommended because it increases the amount of network traffic.)  If you want all General Broadcast frames sent as Single Route Broadcast frames, uncheck this check box.

 Notes


General Broadcasts (GBR) Notes

Default:  Off

This setting is optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


Handle Net Errors
Handle Net Errors:  Determines the default method for handling network errors.

Specify "on" to have the client handle network critical errors.

Specify "off" to have the client generate an interrupt 24, allowing applications to handle network critical errors.

 Notes


Handle Net Errors Notes

Default:  On

Valid values:  on | off

Dynamic

Notes

A network error is generated when the client workstation doesn't receive a response from the NetWare server.

The value of Handle Net Errors affects the handling of the Net Status Timeout and Net Status Busy Timeout settings.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  handle net errors= on | off

Example:  NETWARE DOS REQUESTER

HANDLE NET ERRORS=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Hold
Hold:  To hold print jobs, check this check box.

 Notes


Hold Files
Hold Files:  Specifies whether files opened by a program using FCB_IO are held open until the program ends.

 Notes


Hold Files Notes

Default:  Off

Valid values:  on | off

Notes

The default setting "off" means that files opened by a program using FCB_IO can be closed by the program before it exits.  "On" means they are held open until the program exits.

Older versions of certain applications that use FCB_IO might need the value of this setting to be "on."

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  hold = on | off

Example:  NETWARE DOS REQUESTER

HOLD=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Hold Notes

Default:  Off

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Host Resources MIB for Novell Client 32 Properties

How to Display This Property Sheet

Printers and Modems Tab

Tape Drives Tab

Software Search Tab


IPX 32-bit Protocol...Properties

How to Display This Property Sheet

IPX* Tab

Advanced IPX Tab

SPX* Tab

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


IPX Diagnostics Enabled
IPX diagnostics enabled:

To enable the IPX* diagnostics function, check this check box.

To disable the IPX diagnostics function, uncheck this check box.

 Notes


IPX Diagnostics Enabled Notes

Default:  On

Uncheck this check box only if you don't want an administrator to be able to query IPX* and SPX* statistics for this workstation.

You can change this setting by using any of the following:

The IPX tab of IPX 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  ipx diagnostics= on | off

Example:  PROTOCOL IPX

IPX DIAGNOSTICS=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


IPX Retry Count
IPX* retry count:  Indicates the number of times the client workstation should try to find a route to a destination.  Specify a number from 0 to 65535.

Incrementing this number also increments the SPX* retry count.

 Notes


IPX Retry Count Notes

Default:  20

Range:  0 to 65535 (tries)

Dynamic

Notes

If IPX* or SPX* applications are timing out, increase the value of this setting.

IPX now uses this setting differently than it did for previous NetWare* clients.

You can change this setting by using any of the following:

The IPX tab of IPX 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  ipx retry count=number

Example:  PROTOCOL IPX

IPX RETRY COUNT=30

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


IPX Tab

IPX* retry count

Allow IPX access through interrupt 7Ah

Allow IPX access through interrupt 64h

IPX Diagnostics

IPX diagnostics enabled

Pre-allocate VGNMA memory

Enable Source routing over NDIS**

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Installing the System Policy Editor
Install the System Policy Editor

1.	Click here [image] to display the Windows** Setup tab of the Add/Remove Programs Properties dialog box.

2.	Choose Have Disk.

3.	Specify the folder that has the System Policy Editor.

Normally, specify the ADMIN\APPTOOLS\POLEDIT folder of the CD-ROM drive that has the Windows 95** CD-ROM.

4.	In the Open dialog box, choose OK.

5.	In the Install From Disk dialog box, choose OK.

6.	Choose the box in front of System Policy Editor.

7.	Choose Install.

8.	In the Add/Remove Programs Properties dialog box, choose OK.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Interrupt 64H
Allow IPX access through interrupt 64h:

To allow DOS applications to use interrupt 64h to access IPX* services, check this check box.

If you have a DOS application that is experiencing problems because IPX is hooking interrupt 64h, uncheck this check box.

 Notes


Interrupt 64h Notes

Default:  On

To allow applications to use interrupt 64h for something other than access to IPX* services, uncheck this check box.

If an application works with earlier versions of NetWare* but hangs with NetWare 3.1, uncheck this check box.

Applications should use interrupt 2Fh to get the File Address Register (FAR) call address and then use that address to access IPX services.  This method is preferred because it effectively eliminates conflicting use of interrupt 64h.

You can change this setting by using any of the following:

The IPX tab of IPX 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  int64= on | off

Example:  PROTOCOL IPX

INT64=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Interrupt 7AH
Allow IPX access through interrupt 7Ah:

To allow DOS applications to use interrupt 7Ah to access IPX* services, check this check box.

If you have a DOS application that is experiencing problems because IPX is hooking interrupt 7Ah, uncheck this check box.

 Notes


Interrupt 7Ah Notes

Default:  On

To allow applications to use interrupt 7Ah for something other than access to IPX* services, uncheck this check box.

If an application works with earlier versions of NetWare* but hangs with NetWare 3.1, uncheck this check box.

Applications should use interrupt 2Fh to get the File Address Register (FAR) call address and then use that address to access IPX services.  This method is preferred because it effectively eliminates conflicting use of interrupt 7Ah.

You can change this setting by using any of the following:

The IPX tab of IPX 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  int7a= on | off

Example:  PROTOCOL IPX

INT7A=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Keep
Keep:  If you want to keep print jobs in the print queue after they are printed, check this check box.  Otherwise, uncheck this check box.

 Notes


Keep Notes

Default:  Off

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Large Internet Packet Start Size
Large Internet Packet Start Size:  Specifies the starting value for negotiating the Large Internet Packet (LIP) size.

 Notes


Large Internet Packet Start Size Notes

Default:  65535

Range:  1 to 65535 (bytes)

Dynamic

Notes

Use this parameter to reduce the amount of traffic caused by the negotiation process over slow links.

When the Large Internet Packets parameter is "off," the Large Internet Packet Start Size parameter has no effect.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  lip start size=number

Example:  NETWARE DOS REQUESTER

LIP START SIZE=32768

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Large Internet Packets
Large Internet Packets:  Sets the Large Internet Packet (LIP) packet size above the default of 576 bytes.

Specify "on" to have Client 32* use the maximum packet size negotiated between the NetWare* server and the client workstation.  This packet size is used even across routers and bridges.

Specify "off" to use a packet size of 576 bytes.

 Notes


Large Internet Packets Notes

Default:  On

Valid values:  on | off

Dynamic

Notes

Some routers and bridges have been hardcoded to use 576-byte packets.  In this case, Client 32* can use only 576-byte packets, regardless of this setting.

In the past, NetWare* communicated across routers and bridges with a 576-byte maximum packet size.  However, Ethernet and token ring are capable of using larger packets for communication.

You can use the Large Internet Packet Start Size to specify the starting value for negotiating the Large Internet Packet size.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  large internet packets= on | off

Example:  NETWARE DOS REQUESTER

LARGE INTERNET PACKETS=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Link Driver

The Link Driver configuration settings are ignored for 32-bit LAN drivers.  Use property sheets to specify settings for LAN drivers.


Link Support

Use this option to configure settings for the Link Support Layer* (LSL*).

Max Buffer Size

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Link Support Layer Max Buffer Size
Link Support Layer Max Buffer Size:  Specifies the maximum supported packet size in bytes.  Use this setting to optimize performance for media (primarily token ring) that can use packets that are larger than the default size.

 Notes


Link Support Layer Max Buffer Size Notes

Default:  4736

Range:  100 to 24682 (bytes)

Notes

If your network board uses bus-mastering, increasing this setting increases system memory usage.  Otherwise, system memory usage is usually unaffected by this setting.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Link Support

Syntax:  max buffer size=number

Example:  LINK SUPPORT

MAX BUFFER SIZE=17408

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


List of Global Client 32 Settings

Novell* NetWare* Client* 32*

Client 32

Login Options

Advanced Settings

Novell 32-bit IPX* Protocol

IPX

SPX*

Novell NetWare/IP*

Parameters

Servers

Novell SNMP Agent

SNMP

Host Resources MIB for Novell Client 32

Printers and Modems

Tape Drives

Software Search

File/Folder Shell Extensions

File and Folder Shell Extension Settings

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Local Modems
Local Modems:  Specifies information about the modem that is used by this workstation (for example, "Hayes 14400 BP Modem").

 Notes


Local Modems Add
Local Modems Add:  After specifying a modem, choose Add to add it to the list of Local Modems.


Local Modems Notes

Default:  None

Notes

This setting is optional.

This information is used by the network management console.

You can change this setting by using any of the following:

The Printers and Modems tab of Host Resources MIB Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Resources

Syntax:  modem="modem_information "

Example:  RESOURCES

MODEM="Hayes 14400 BP Modem"


Local Modems Remove
Local Modems Remove:  After selecting a modem, choose Remove to delete it from the list of Local Modems.


Local Modems Replace
Local Modems Replace:..After specifying a modem to replace and then selecting a replacement modem from the list of Local Modems, choose Replace to replace the specified modem with the selected replacement.


Local Printers
Local Printers:  Specifies information about the printers that are attached to this workstation (for example, "HP LaserJet 3P").

 Notes


Local Printers Add
Local Printers Add:  After specifying a printer, choose Add to add it to the list of Local Printers.


Local Printers Notes

Default:  None

Notes

This setting is optional.

This information is used by the network management console.

You can change this setting by using any of the following:

The Printers and Modems tab of Host Resources MIB Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Resources

Syntax:  printer="printer_information "

Example:  RESOURCES

PRINTER="HP LaserJet 3P"


Local Printers Remove
Local Printers Remove:  After selecting a printer, choose Remove to delete it from the list of.Local Printers.


Local Printers Replace
Local Printers Replace:  After specifying a printer to replace and then selecting a replacemant printer from the list of Local Printers, choose Replace to replace the specified printer with the selected replacement.


Local Tape Drives
Local Tape Drives:  Specifies information about the tape drives that are used by this workstation (for example, "Quantum Tapedrive").

 Notes


Local Tape Drives Add
Local Tape Drives Add:  After specifying a tape drive, choose Add to add it to the list of Local Tape Drives.


Local Tape Drives Notes

Default:  None

Notes

This setting is optional.

This information is used by the network management console.

You can change this setting by using any of the following:

The Tape Drives tab of Host Resources MIB Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Resources

Syntax:  tapedrive="tapedrive_information "

Example:  RESOURCES

TAPEDRIVE="Quantum Tapedrive"


Local Tape Drives Remove
Local Tape Drives Remove:  After selecting a tape drive, choose Remove to delete it from the list of Local Tape Drives.


Local Tape Drives Replace
Local Tape Drives Replace:  After specifying a tape drive to replace and then selecting a replacement tape drive from the list of Local Tape Drives, choose Replace to replace the specified tape drive with the selected replacement.


Lock Delay
Lock Delay:  Determines the amount of time (in ticks) Client 32* waits before trying to get a lock.

 Notes


Lock Delay Notes

Default:  1 tick

Range:  1 to 65535 (ticks)

Dynamic

Notes

Use this setting if client workstations frequently receive error messages when a file is requested.

When many users access a file at the same time, Client 32* might be unable to gain access before its allotted wait time.

This number is used for lock types that do not have a wait ability.  For locks that have a wait ability, the wait time is calculated by multiplying this setting number by the Lock Retries number and then multiplying by 2.  The resulting number is the time, in ticks, the client workstation waits for a lock.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply the wait time value by the value used for the LOCK RETRIES setting.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  lock delay=number

Example:  NETWARE DOS REQUESTER

LOCK DELAY=50

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Lock Retries
Lock Retries:  Specifies the number of times Client 32* attempts to get a lock on the network.

 Notes


Lock Retries Notes

Default:  5

Range:  1 to 65535 (retries)

Dynamic

Notes

Increase the value of this setting if a client workstation frequently receives error messages when a file is requested.

This setting is part of an equation that determines the total time Client 32* waits when attempting to access a locked file.

This number is used for lock types that do not have a wait ability.  For locks that have a wait ability, the wait time is calculated by multiplying this setting number by the Lock Delay number and then multiplying by 2.  The resulting number is the time, in ticks, the client workstation waits for a lock.

To determine the total time (in ticks) needed to broadcast a name resolution packet across the network, multiply the wait time value by the value used for the Lock Retries setting.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell NetWare* Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  lock retries=number

Example:  NETWARE DOS REQUESTER

LOCK RETRIES=3

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Log File
Log File:  Specifies the name of the log file.

 Notes


Log File Notes

Default:  The NIOS.LOG file in the NetWare* home directory.

Example:  C:\Novell\Client32\LOG.TXT

Notes

Specify the name, including the path, for the log file.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NIOS

Syntax:  log file=path_logfile

Example:  NIOS

LOG FILE=C:\NOVELL\CLIENT32\LOG.TXT

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Log File Size
Log File Size:  Specifies the maximum size (in bytes) of the log file.

 Notes


Log File Size Notes

Default:  65535

Range:  1 to 1048576 (bytes)

Notes

The default (65535) is about 64 KB.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NIOS

Syntax:  log file size=number

Example:  NIOS

LOG FILE SIZE=524288

(This example shows how to set the size to about 512 KB.)

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Logical Board

Each network adapter (or physical board) can provide connectivity to more than one subnetwork.  Each of these subnetwork attachments is considered a logical board.  For example, an Ethernet adapter provides connectivity to subnetworks using frame types Ethernet_802.2, Ethernet_802.3,  Ethernet_II, and Ethernet_SNAP.  In this case, the same Ethernet adapter presents a logical board for each of those frame types.

In general, network nodes must be attached to a common subnetwork in order to communicate   In other words, IPX* on both nodes must be bound to logical boards that use the same frame type.  For example, IPX on both nodes would be bound to logical boards that use the Ethernet_802.2 frame type.  Special gateways can override this restriction.


Login Script
Login script:  Enter the name of a login script that you want run by default when you log in using the graphical login utility.

 Notes


Login Script Notes

Default:  None

The login script name should be either a path and filename, or the name of a container object in the NetWare* Directory tree.

If the container object is not in the context specified on the Connection tab of the graphical login utility, specify the complete name for the container object (for example,.MobileUser.Sales.ACME).

You can change this setting by using either of the following:

The Login tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Login Script Variable Notes

Default:  None

These variables (%2, %3, %4, and %5) function as command line parameters did in the past.  For information about using variables in login scripts, see Supervising the Network  (for NetWare* 4*) or Installation  (for NetWare 3*).

You can change these settings by using either of the following:

The Login tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Login Tab

Display connection page

Log in to tree

Log in to server

Bindery connection

Clear current connections

Display script page

Login script

Profile script

Close script results automatically

Run scripts

Display variables page

%2	%3

%4	%5

Save settings when exiting Login


Login to Tree or Server
Log in to Tree and Log in to Server:  If you want to log in to the tree specified on the graphical login utility's Connection tab by default, choose Log in to tree...If you want to log in to the server specified on the Connection tab by default, choose Log in to server.

 Notes


Login to Tree or Server Notes
Log in to Tree and Log in to Server Notes

Default:  Log in to tree

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Long Machine Type
Long Machine Type:  Tells Client 32* what type of machine is being used each time the %MACHINE variable is accessed.

 Notes


Long Machine Type Notes

Default:  IBM_PC

Example:  COMPAQ

Notes

Use this setting to set the machine's search path to the correct version of DOS.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  long machine type="name"

Example:  NETWARE DOS REQUESTER

LONG MACHINE TYPE="COMPAQ"

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Max Cache Size
Max Cache Size:  Sets the largest possible amount of memory (in KB) that Client 32* can use for caching.

 Notes


Max Cache Size Notes

Default:  0

Range:  0 to 429,496,795 (KB)

Notes

When the value of this parameter is 0 (the default), the cache size is dynamically set to 25% of the total amount of memory that is free when the CLIENT32 NLM* software loads.

The amount of memory that is free when the CLIENT32 NLM loads can vary significantly between workstations because it depends upon what other software is installed.

When the value of this parameter is not 0, the cache size is set to the specified value.  However, the cache size cannot be greater than 75% of the total free memory.  For example, if you specify a value of 8192 for this parameter and the total free memory when the CLIENT32 NLM loads is only 8 MB, your cache size would be around 6 MB because 6 MB is 75% of the free memory.

Larger values improve the performance of network file access but decrease the memory available for running applications or caching local drives.

When caching is turned off (by setting the File Cache Level to 0), Client 32 does not use any workstation memory for caching.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  max cache size=number

Example:  NETWARE DOS REQUESTER

MAX CACHE SIZE=1024

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Max Cur Dir Length
Max Cur Dir Length:  Specifies the length of the DOS prompt.

Suggestion:  Use the default value.

 Notes


Max Cur Dir Length Notes

Default:  64

Range:  64 to 255 (characters)

Notes

Some applications do not function correctly if this value is greater than 64.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  max cur dir length=number

Example:  NETWARE DOS REQUESTER

MAX CUR DIR LENGTH=128

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Message Timeout
Message Timeout:  Defines how long (in ticks) before broadcast messages are cleared from the screen without user intervention.

This setting is not supported this release.  It will be supported in a later release.

 Notes


Message Timeout Notes

This setting is not supported this release.  It will be supported in a later release.

Default:  0

Range:  0 to 10000 (ticks)

Notes

0 means to wait for the user to clear the message.

10000 ticks is about nine minutes.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  message timeout=number

Example:  NETWARE DOS REQUESTER

MESSAGE TIMEOUT=5000

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Microsoft Windows 95 Resource Kit

Microsoft Press, 1995.  ISBN 1-55615-678-2.

A Windows** 95** help file version of the Microsoft** Windows 95 Resource Kit is available on the Windows 95 CD-ROM.  The path and filename are ADMIN\RESKIT\HELPFILE\WIN95RK.HLP.


Minimum Time to Net
Minimum Time to Net:  Overrides the time-to-net value defined by the local router during connection.

 Notes


Minimum Time to Net Notes

Default:  0

Range:  0 to 65535 (milliseconds)

Dynamic

Notes

This parameter is used for bridged WAN/Satellite links with time-to-net values set too low for workstations to make a connection under either of the following conditions:

The server on the other side of the link is a NetWare* 3* or earlier server not running the Packet Burst* protocol

The transfer rate for the link is 2400 baud or less

One thousand milliseconds equals one second.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  minimum time to net=number

Example:  NETWARE DOS REQUESTER

MINIMUM TIME TO NET=0

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Monitor Community
Monitor community:  Specifies the name for the monitor community, which is the read-only community (the community that is allowed to do GET and GET NEXT operations).

 Notes


Monitor Community Notes

Default:  Public

The monitor community is the read-only community (the community that is allowed to do GET and GET NEXT operations).

A community name can be any arbitrary ASCII string.  It can include any characters except space, tab, open square bracket ( [ ), equal sign ( = ), colon ( : ), semicolon ( ; ), double quotation mark ( " ), or number sign ( # ).

Community name strings are case-sensitive.

When the monitor community is disabled, all read access is disabled.

You can change this setting by using any of the following:

The SNMP tab of Novell* SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  monitor community = name

Example:  Desktop SNMP

monitor community = private

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Multicast Addresses (MBR)
Multicast Addresses (MBR):  If you want all Multicast frames sent as All Routes Broadcast frames, check this check box.  (This is not recommended because it increases the amount of network traffic.)  If you want all Multicast frames sent as Single Route Broadcast frames, uncheck this check box.

 Notes


Multicast Addresses (MBR) Notes

Default:  Off

This setting is optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


NCP Max Timeout
NCP Max Timeout:  Specifies the amount of time allowed to retry a network connection.

 Notes


NCP Max Timeout Notes

Default:  30

Range:  0 to 65535 (seconds)

Notes

If the network connection cannot be established in the specified amount of time, an error message appears.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  ncp max timeout=number

Example:  NETWARE DOS REQUESTER

NCP MAX TIMEOUT=45

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NIOS

Alert Beep

Log File

Log File Size

Use Video BIOS


NWIP
NetWare/IP

Broadcast SAP Nearest Server Queries

Nearest NetWare*/IP* Server

NetWare/IP 1.1 Compatibility

NetWare/IP Domain Name

Number of Seconds between Retries

Preferred Domain SAP/RIP Server

Retries to DSS during Startup

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Name Context
Name context:  Sets your current position, or context, in the Directory tree structure.  For example, "OU=MNGT.O=MARKETING" specifies the MNGT organizational unit in the MARKETING organization as the context.

 Notes


Name Context Notes

Default:  Root

If duplicate usernames exist, use this setting to specify the context for the username you want.

This setting applies only to client workstations connecting to a NetWare* 4* network.

The name context can be up to 256 characters long plus the NULL command, which indicates the root of the Directory tree.

You can change this setting by using any of the following:

The Client 32 tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  name context="name context "

Example:  NETWARE DOS REQUESTER

NAME CONTEXT="OU=MNGT.O=MARKETING"

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Nearest NetWare/IP Servers
Nearest NetWare/IP Servers:  Specifies the nearest NetWare*/IP* servers.

 Notes


Nearest NetWare/IP Servers Add
Nearest NetWare/IP Servers Add:  After specifying the server, choose Add to add it to the list of Nearest NetWare*/IP* Servers.


Nearest NetWare/IP Servers Notes

Default:  None

This setting is used as a guide for locating the Nearest NetWare*/IP* servers.  If the ones specified are not available, the DSS will provide others to use.

This is an optional setting for NetWare/IP.

You can specify up to 5 nearest NetWare/IP servers.

Specify the NetWare/IP server names as hostnames, fully qualified hostnames, IP addresses, or IP address masks.

Examples:

mydss	- hostname

mydss.atlantic.com	- fully qualified hostname

222.33.44.55	- IP address for mydss

222.33.0.0	- IP address mask for mydss

You can change this setting by using any of the following:

The Servers tab of Novell* NetWare/IP Protocol Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  nearest nwip server=server_names

Example:  NWIP

NEAREST NWIP SERVER=MYSERVER

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Nearest NetWare/IP Servers Remove
Nearest NetWare/IP Servers Remove:  After specifying the server, choose Remove to delete it from the list of Nearest NetWare*/IP* Servers.


Nearest NetWare/IP Servers Replace
Nearest NetWare/IP Servers Replace:  After specifying a server to replace and then selecting a replacement server from the list of Nearest NetWare*/IP* Servers, choose Replace to replace the specified server with the selected replacement.


Net Status Busy Timeout
Net Status Busy Timeout:  Specifies the number of seconds Client 32* waits for a nonbusy response before displaying a message that the server is busy.

 Notes


Net Status Busy Timeout Notes

Default:  20

Range:  1 to 600 (seconds)

Dynamic

Notes

When Handle Net Errors is "off," the error message does not appear.  Instead, an error is returned to the application that made the network request.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  net status busy timeout=number

Example:  NETWARE DOS REQUESTER

NET STATUS BUSY TIMEOUT=45

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Net Status Timeout
Net Status Timeout:  Specifies the number of seconds Client 32* waits for a network response before concluding that a network error occurred.

 Notes


Net Status Timeout Notes

Default:  10

Range:  1 to 600 (seconds)

Dynamic

Notes

The actual time Client 32* waits might be longer than this value.  If four times the average round-trip time to the network is greater than the value for Net Status Timeout, Client 32 waits four times the average round-trip time.

For example, if the Net Status Timeout is 15 seconds and the average round-trip time to the server is four seconds, Client 32 waits 16 seconds (four times the average round-trip time) before displaying an error message.

When Handle Net Errors is "off," the error message does not appear.  Instead, an error is returned to the application that made the network request.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  net status timeout=number

Example:  NETWARE DOS REQUESTER

NET STATUS TIMEOUT=30

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare DOS Requester

Auto Reconnect Level

Cache Writes

Checksum

Close Behind Ticks

Delay Writes

DOS Name

Environment Pad

File Cache Level

First Network Drive

Force First Network Drive

Handle Net Errors

Hold

Large Internet Packets

LIP Start Size

Lock Delay

Lock Retries

Long Machine Type

Max Cache Size

Max Cur Dir Length

Message Timeout

Minimum Time to Net

Name Context

NCP* Max Timeout

Net Status Busy Timeout

Net Status Timeout

NetWare Protocol

Network Printers

Opportunistic Locking

Packet Burst*

Packet Burst Read Window Size

Packet Burst Write Window Size

Preferred Server

Preferred Tree

Print Header

Print Tail

Read Only Compatibility

Search Dirs First

Search Mode

Set Station Time

Short Machine Type

Show Dots

Signature Level

True Commit

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare Home Directory

The NetWare* home directory is specified by the NWHOMEDIR setting in the SYSTEM.INI file.  Typically, it is C:\Novell\Client32.


NetWare Protocol
NetWare Protocol:  Allows you to specify the NetWare* protocols that are accessed during authentication to the network and the order in which they are accessed.

 Notes


NetWare Protocol Notes

Default:  NDS BIND

Valid values:  NDS*, BIND

Notes

You can give priority to a specific protocol for login, load order, and other functions performed by Client 32*.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  netware protocol=netware_protocol_list

Valid values:  NDS, BIND

Example:  NETWARE DOS REQUESTER

NETWARE PROTOCOL=BIND NDS

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare/IP 1.1 Compatibility
NetWare/IP 1.1 compatibility:  If your servers are running NetWare*/IP* 1.1 pre-patch, check this check box.  Upgrade with the patch or to version 2.1.  Then, uncheck this check box.

 Notes


NetWare/IP 1.1 Compatibility Notes

Default:  Off

This setting is used to support the first version of NetWare*/IP* servers and DSSs.  If your servers are running NetWare/IP 1.1 pre-patch, we recommended that you upgrade with the patch or to version 2.1.  In the interim, checking this box allows this (NetWare/IP 2.1-compliant) client to communicate with the NetWare/IP servers.

This is an optional setting for NetWare/IP.

You can change this setting by using any of the following:

The Parameters tab of Novell* NetWare/IP Protocol Properties

The System Policy Editor

 Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  nwip1_1 compatibility= on | off

Example:  NWIP

NWIP1_1 COMPATIBILITY=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


NetWare/IP Domain

A DNS domain used to administer NetWare*/IP* servers and clients.  The NetWare/IP domain is always a subdomain that has no lower-level domains in the DNS hierarchy.


NetWare/IP Domain Name
NetWare/IP Domain Name:  Specifies the NetWare*/IP* Domain that is configured for your area.

Example:  NWIP.ATLANTIC.COM

 Notes


Network Adapter Properties

How to Display This Property Sheet

ODI* Driver Tab

SRoute 32 Tab

SRoute 16 Tab

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Network Printers
Network Printers:  Sets the number of LPT ports that Client 32* can capture.

 Notes


Network Printers Notes

Default:  3

Range:  0 to 9 (printer ports)

Notes

This setting allows you to capture and redirect LPT1 through LPT9.

Increasing the value of this setting increases memory use.  The amount of conventional memory used can be calculated using the following formula:

mem = netprt x (prthdr + prttail + 23 bytes)

For example:

Network Printers [netprt] = 3

Print Header [prthdr] = 64 bytes

Print Tail [prttail] = 16 bytes

Memory [mem] = 3 x (64 bytes + 16 bytes + 23 bytes) = 309 bytes

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  network printers=number

Example:  NETWARE DOS REQUESTER

NETWORK PRINTERS=7

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Notify
Notify:  If you want to receive a message when the print job is printed, check this check box.  Otherwise, uncheck this check box.

 Notes


Notify Notes

Default:  Off

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Novell NetWare Client 32 Properties

How to Display This Property Sheet

Client 32* Tab

Login Tab

Default Capture Tab

Advanced Settings Tab

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Novell NetWare/IP Protocol Properties

How to Display This Property Sheet

Parameters Tab

Servers Tab


Novell SNMP Agent Properties

How to Display This Property Sheet

SNMP Tab


Number Setting
Setting:  Specifies the value for the selected parameter.

 Notes


Number of Copies
Number of copies:  Specifies the number of copies to print.

 Notes


Number of Copies Notes

Default:  1

Range:  1 to 255 (copies)

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Number of Seconds Between Retries
Number of seconds between retries:  Specifies the number of seconds to wait between retries of an unanswered DSS request.

 Notes


Number of Seconds between Retries Notes

Default:  10

Range:  5 to 60 (seconds)

Notes

This is an optional setting for NetWare/IP.

You can change this setting by using any of the following:

The Parameters tab of Novell* NetWare*/IP* Protocol Properties

The System Policy Editor

 Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  autoretry secs=number

Example:  NWIP

AUTORETRY SECS=5

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Number of Spaces
Number of spaces:  Specifies the number of spaces that are printed in place of tab characters.  You must check the Enable tabs check box for this setting to take effect.

 Notes


Number of Spaces Notes

Default:  8

Range:  1 to 18 (spaces)

This setting is for text print jobs.  You don't need this setting for byte-stream print jobs.

You can change this setting for a specific printer using Printer Properties.

You can change the default capture setting using Novell* NetWare* Client* 32* Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


ODI Driver Tab

ODI* Driver Type

Enable ODI support for NDIS** protocols

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


ODI Driver Type
ODI Driver Type:  If there is a 32-bit ODI* LAN driver for your network adapter, choose 32 Bit ODI Driver.  Otherwise, choose 16 Bit ODI Driver.

 Notes


ODI Driver Type Notes

Default:  32-Bit ODI* Driver

You can change this setting by using the ODI Driver tab of the property sheet for your network adapter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Obsolete NetWare DOS Requester Settings

The following settings are no longer used and are ignored if specified:

Auto Large Table

Auto Reconnect

Auto Retry

Average Name Length

Bind Reconnect

Broadcast Retries

Broadcast Send Delay

Broadcast Timeout

Cache Buffer Size

Cache Buffers

Confirm Critical Error Action

Connections

EOJ

Exclude VLM*

Load Conn Table Low

Load Low Conn

Load Low IPXNCP

Load Low Redir

Local Printers

Max Tasks

Message Level

Preferred Workgroup

Print Buffer Size

Responder

Use Defaults

VLM

Workgroup Net

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Opening the Client 32 Policy Template
Open the Client 32 Policy Template

1.	(Conditional) If you haven't started the System Policy Editor, start it now.

2.	Choose Options.

3.	Choose Template.

4.	Choose Open template.

5.	Open the folder that has the CLIENT32.ADM file.

Typically, CLIENT32.ADM is in the \ENGLISH\ADMIN folder of the Client 32* CD-ROM, or on the Client 32 ADMIN  diskette.

6.	Choose CLIENT32.ADM.

7.	Choose Open.

8.	In the Template Options dialog box,.choose Close.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Opportunistic Locking
Opportunistic Locking:  Specifies whether Client 32* should automatically detect and take advantage of opportunities to get exclusive access to files for caching.

 Notes


Opportunistic Locking Notes

Default:  On

Valid Values:  on | off

Dynamic

Notes

Setting the value of this parameter to "on" improves performance.

For more information, see Caching Database Files.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  opportunistic locking= on | off

Example:  NETWARE DOS REQUESTER

OPPORTUNISTIC LOCKING=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Packet Burst
Packet Burst:

To enable Packet Burst*, specify "on."

To disable Packet Burst, specify "off."

 Notes


Packet Burst Notes

Default:  On

Valid values:  on | off

This setting controls the use of the Packet Burst* protocol for file input/output.

Generally, Packet Burst reduces overall network traffic and improves performance.

If you have a network board that has low performance and if your network performance is slow, you might try disabling Packet Burst.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  pb buffers=number

Example:  NETWARE DOS REQUESTER

PB BUFFERS=0

Notes

In previous NetWare clients, the PB Buffers parameter specified the number of Packet Burst buffers.  Client 32 does not require you to specify the number of buffers.  It dynamically allocates buffers as needed.

To accomodate this change, Client 32 interprets these numbers to signify whether Packet Burst is on or off.  A number from 1 to 10 signifies that Packet Burst is on.  Zero signifies that Packet Burst is off.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Packet Burst Read Window Size
Packet Burst Read Window Size:  Specifies the maximum window size (in packets) that Packet Burst* should use for Read Bursts.  Normally, you should not change the value of this setting.

 Notes


Packet Burst Read Window Size Notes

Default:  24 (or 255, if Packet Burst* detects a low bandwidth network connection)

Range:  3 to 255 (packets)

Dynamic

Notes

The window size that Packet Burst uses changes dynamically depending on network conditions.  The Packet Burst Read Window Size sets an upper limit for this window size.

Packet Burst overrides the value for the Packet Burst Read Window Size setting if the number of packets specified results in a window size that is greater than 64 KB.

For example, if each packet is 1500 bytes and the Packet Burst Read Window Size is 50, Packet Burst overrides the Packet Burst Read Window Size specified and uses a maximum window size of 43 packets.  This is because fifty 1500-byte packets is about 73 KB, whereas forty-three 1500-byte packets is just under 64 KB.

For low-bandwidth network connections, increasing this value might improve performance.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  pburst read window size=number

Example:  NETWARE DOS REQUESTER

PBURST READ WINDOW SIZE=36

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Packet Burst Write Window Size
Packet Burst Write Window Size:  Specifies the maximum window size (in packets) that Packet Burst* should use for Write Bursts.  Normally, you should not change the value of this setting.

Increasing this value might have a negative effect on server performance.

 Notes


Packet Burst Write Window Size Notes

Default:  10 (or 255, if Packet Burst* detects a low bandwidth network connection)

Range:  3 to 255 (packets)

Dynamic

Notes

The window size that Packet Burst uses changes dynamically depending on network conditions.  The Packet Burst Write Window Size sets an upper limit for this window size.

Packet Burst overrides the value for the Packet Burst Write Window Size setting if the number of packets specified results in a window size that is greater than 64 KB.

For example, if each packet is 1500 bytes and the Packet Burst Write Window Size is 50, Packet Burst overrides the Packet Burst Write Window Size specified and uses a maximum window size of 43 packets.  This is because fifty 1500-byte packets is about 73 KB, whereas forty-three 1500-byte packets is just under 64 KB.

For low-bandwidth network connections, increasing this value might improve performance.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  pburst write window size=number

Example:  NETWARE DOS REQUESTER

PBURST WRITE WINDOW SIZE=24

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Parameter Description
Parameter Description:  Read this to understand why you might want to change the value of the selected parameter.


Parameter Groups
Parameter Groups:  Select the parameter group that you want.  Use this control to see which parameters affect which aspects of the Client 32* software.

 Notes


Parameter Groups Notes

This shows the parameter group that is currently selected.

For instructions about how to display Novell* NetWare* Client* 32* Properties so you can change these parameters, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Parameter Range
Parameter Range:  Make sure the value you specify for the selected parameter is within the range of values that is displayed.


Parameters Tab

Auto detect configuration

Custom configuration

NetWare*/IP* Domain name

Retries to DSS during startup

Number of seconds between retries

Broadcast SAP nearest server queries to network

NetWare/IP 1.1 compatibility

Verbose

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Point and Print Path
Specify the path for the print driver files.  Using the preferred path is recommended.

 Notes


Point and Print Path Notes

Default:  \\server \SYS\PUBLIC\WIN95\DRIVERS

The server in the default path is the server for the printer or print queue.

Use the Universal Naming Convention (UNC) name for the path.

The print driver files are copied to the directory specified.

You must be logged in to the server specified in the path.

You must have sufficient rights to copy the print driver files to the specified directory and to create the specified directory if it doesn't already exist.

To set up a printer using point and print, users must be logged in to the server specified in the path and have Read and File Scan rights to the specified directory.

Whenever you change the path, you must reselect the printer model because when you select the printer model, the print driver files are copied to the specified directory.

You can change this setting by using the Setup Point and Print tab of Printer Properties.


Pre-allocate VGNMA Memory
Pre-allocate VGNMA memory:  To allocate conventional memory for VGNMA operation, check this check box.

 Notes


Pre-Allocate VGNMA Memory Notes

Default:  Off

Pre-allocate VGNMA memory for 16-bit GNMA Responder applications if they don't work correctly otherwise.

You can change this setting by using any of the following:

The IPX* tab of IPX 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  pre-allocate vgnma memory= on | off

Example:  PROTOCOL IPX

PRE-ALLOCATE VGNMA MEMORY=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Preferred DSS
Preferred Domain SAP/RIP Servers:  Specifies the Domain SAP/RIP Servers that you consider preferred.

 Notes


Preferred DSS Add
Preferred Domain SAP/RIP Servers Add:  After specifying the server, choose Add to add it to the list of Preferred Domain SAP/RIP Servers.


Preferred DSS Notes
Preferred Domain SAP/RIP Server Notes

Default:  None

The addresses and names are used as a guide for locating preferred domain SAP/RIP servers.  If none of the domain SAP/RIP servers is available, DNS will be queried for its Domain SAP/RIP Server list.

This is an optional setting for NetWare*/IP*.

You can specify up to 5 domain SAP/RIP servers that you consider preferred.

Specify the domain SAP/RIP server names as hostnames, fully qualified hostnames, IP addresses, or IP address masks.

Examples:

dss	- hostname

dss.atlantic.com	- fully qualified hostname

2.33.44.55	- IP address for mydss

2.33.0.0	- IP address mask for mydss

You can change this setting by using any of the following:

The Servers tab of Novell* NetWare/IP Protocol Properties

The System Policy Editor

 Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  preferred dss=server_names

Example:  NWIP

PREFERRED DSS=LOCALDSS.ATLANTIC.COM 222.33.0.0

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Preferred DSS Remove
Preferred Domain SAP/RIP Servers Remove:  After specifying the server, choose Remove to delete it from the list of Preferred Domain SAP/RIP Servers.


Preferred DSS Replace
Preferred Domain SAP/RIP Servers Replace:  After specifying a server to replace and then selecting a replacement server from the list of Preferred Domain SAP/RIP Servers, choose Replace to replace the specified server with the selected replacement.


Preferred Server
Preferred Server:  Sets the NetWare* server you attach to first and helps guarantee your connection to the network.

 Notes


Preferred Server Notes

Default:  None

If the server specified has a connection available, Client 32* attaches to that server.  Otherwise, it responds to the nearest broadcasting server.

If both Preferred Tree (for NetWare* Directory Services*) and Preferred Server (for bindery services) are specified, then the first protocol to successfully build an attachment is used.

You can change this setting by using any of the following:

The Client 32 tab of Novell* NetWare Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  preferred server="server_name "

Example:  NETWARE DOS REQUESTER

PREFERRED SERVER=MKT_9

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Preferred Tree
Preferred Tree:  Specifies the Directory tree you first connect to in a NetWare* 4* network if you have multiple trees.

 Notes


Preferred Tree Notes

Default:  None

If the specified tree has a server with a free connection, Client 32* attaches to that tree.  Otherwise, it attaches to the nearest tree that contains a User object for the user authenticating to the network.

If both Preferred Tree (for NetWare* Directory Services*) and Preferred Server (for bindery services) are specified, then the first protocol to successfully build an attachment is used.

Do not put quotes around the name of the Directory tree that you specify for this setting.

You can change this setting by using any of the following:

The Client 32 tab of Novell* NetWare Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  preferred tree=tree_name

Example:  NETWARE DOS REQUESTER

PREFERRED TREE=MARKETING

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Primary Board

The primary board is the logical board used by applications that can use only one attachment to the network.  16-bit IPX* and SPX* applications operate over this primary board only.


Primary Logical Board
Primary logical board:  To specify which logical board IPX* should use as the primary board, check this check box.  You specify the logical board by specifying a frame type.

By default, IPX automatically detects the primary board.

 Notes


Primary Logical Board Notes

Default:  Unchecked; IPX* automatically detects the primary board..

IPX uses a self-discovery algorithm to automatically select a primary board when this option is not selected.  Choose this option if IPX fails to select the correct primary board.

You can change this setting by using any of the following:

The Advanced IPX tab of IPX 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  primary=FrameType

Example:  PROTOCOL IPX

PRIMARY=ETHERNET_802.2

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Print Header
Print Header:  Sets the size of the buffer (in bytes) that holds the information used to initialize a printer for each print job.

 Notes


Print Header Notes

Default:  64

Range:  0 to 1024 (bytes)

Notes

If you send print jobs with many instructions in the header (such as initializing a printer for an emulated mode or changing defaults, font selections, page length, or orientation) and the printer is not delivering all the requested attributes, increase the print header size.

If you are using a PostScript** printer and print jobs are not printing properly, increase the print header size.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  print header=number

Example:  NETWARE DOS REQUESTER

PRINTER HEADER=960

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Print Tail
Print Tail:  Sets the size of the buffer (in bytes) that holds the information used to reset the printer after a print job.

 Notes


Print Tail Notes

Default:  16

Range:  0 to 1024 (bytes)

Notes

If your printer is not clearing out the buffer completely or resetting after each print job, increase the print tail size.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  print tail=number

Example:  NETWARE DOS REQUESTER

PRINT TAIL=64

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Printer Properties

Printers Folder Printers

How to Display This Property Sheet

Printer Settings Tab

Windows Explorer or Network Neighborhood Printers

How to Display This Property Sheet

NetWare* Printer Tab

NetWare Queue Tab

Setup Point and Print Tab

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Printer Settings Tab

Overview

Output Settings

Number of copies

Type of form

Form feed

Enable tabs	Number of spaces

Banner Settings

Enable banner

1st banner name

2nd banner name

Other Settings

Hold

Auto endcap

Keep

Notify


Printer Settings Tab Overview

Use the Printer Settings tab to specify settings for a printer.

These settings apply only to the selected printer.


Printers and Modems Tab

Local Printers

Add

Remove

Replace

Local Modems

Add

Remove

Replace


Profile Script
Profile script:  Enter the name of the profile script that you want run by default when you log in using the graphical login utility.

 Notes


Profile Script Notes

Default:  None

The profile script name should be either a path and filename, or the name of a profile object in the NetWare* Directory tree.

If the profile object is not in the context specified on the Connection tab of the graphical login utility, specify the complete name for the profile object (for example, MobileProfile.Sales.ACME).

You can change this setting by using either of the following:

The Login tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Property Sheet Overview

Property sheets provide a graphical way to change Client 32* settings at a workstation.  The changes apply only to the workstation where they are made.  Some changes take effect immediately.  Others require you to restart the workstation--in which case, a message instructs you to restart the computer.

The changes are made by displaying the Network control panel, choosing an installed component, choosing Properties, choosing the appropriate tab, and then changing the setting.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Protocol IPX

INT64

INT7a

IPX* Diagnostics

IPX Retry Count

Pre-Allocate VGNMA Memory

Custom (Net) Bind

Primary Board

SPX* Abort Timeout

SPX Connections

SPX Listen Timeout

SPX Verify Timeout

SPX Watchdogs

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Read Only Compatibility
Read Only Compatibility:  Determines whether a file marked Read Only can be opened with a read/write access call.

 Notes


Read Only Compatibility Notes

Default:  Off

Valid values:  on | off

Dynamic

Notes

If you are using any application that uses the NETX=OFF command, such as Microsoft** Office, ensure that this setting is "on."

Prior to NetWare* 2.1, a program could open a Read Only file with write access without getting an error.  However, any attempt to write to the file produced an error.  This is what happens when this setting is "on."  When this setting is "off," a Read Only file cannot be opened for write access.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  read only compatibility= on | off

Example:  NETWARE DOS REQUESTER

READ ONLY COMPATIBILITY=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Read-Ahead Caching

When using this caching method, Client 32* reads an entire block of data (up to 4 KB) from the network instead of just reading the amount of data requested.  When a file is being read sequentially, read-ahead caching can reduce the number of network reads and speed up access to the file.

If Client 32 detects that a file is being read randomly, it stops using read-ahead caching until the random reads stop, because for random reads to large files, read-ahead caching can slow down access to the files.


Remove (Frame Type)
Remove:  After selecting a frame type to remove from the list,choose Remove.


Resources

Local Modems

Local Printers

Local Tape Drives

Directory Levels to Search for Software

Paths to Search for Software


Retries to DSS During Startup
Retries to DSS during startup:  Specifies the number of times to retry an unanswered DSS request.

 Notes


Retries to DSS during Startup Notes

Default:  0

Range:  0 to 10 (retries)

This is an optional setting for NetWare*/IP*.

You can change this setting by using any of the following:

The Parameters tab of Novell* NetWare/IP Protocol Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NWIP

Syntax:  autoretries=number

Example:  NWIP

AUTORETRIES=3

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Routes Expire in (Time)
Routes Expire in (Time):  Specifies how often (in seconds) the source-routing table should be updated.

 Notes


Routes Expire in (Time) Notes

Default:  10

Valid Values:  0 to 255 (seconds)

This setting forces the source-routing table to be updated with a new route if the current route isn't used during the specified time.  It enables the Client 32* source-routing feature to determine alternate routes dynamically when a source-routing bridge goes down.

When the value of this setting is 0, routes in the source-routing table never expire.  A value of 0 is well suited for client workstations and can reduce the amount of traffic on the network.

This setting is optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Run Scripts
Run scripts:  If you want login scripts run during initial login, check this check box.  To turn off login-script processing, uncheck this check box.

 Notes


Run Scripts Notes

Default:  On

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SNMP

Control Community

Enable Control Community

Enable Monitor Community

Monitor Community

snmpEnableAuthenTrap

sysContact

sysLocation

sysName


SNMP Tab

Community Settings

Enable monitor community

Monitor community

Enable control community

Control community

System name

System location

System contact

Enable authentication traps


SPX Abort Timeout
SPX abort timeout:  Specifies how long (in ticks) the SPX* protocol should wait without receiving any response from the other side of the connection before it terminates the session.

 Notes


SPX Abort Timeout Notes

Default:  540

Range:  1 to 65535 (ticks)

Dynamic

Notes

You should not adjust this setting unless SPX* is timing out too soon.

You can change this setting by using any of the following:

The SPX tab of IPX* 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  spx abort timeout=number

Example:  PROTOCOL IPX

SPX ABORT TIMEOUT=300

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Connections
SPX* connections:  Specifies the number-of-connections value that is given to applications that query this information.

 Notes


SPX Connections Notes

Default:  15

Range:  1 to 255

Dynamic

Notes

SPX* does not use this number to limit the number of SPX connections.

The number of SPX connections is limited only by the amount of available memory.

This setting is provided for compatibility with applications that query this information and make decisions based on it.

You can change this setting by using any of the following:

The SPX tab of IPX* 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  spx connections=number

Example:  PROTOCOL IPX

SPX CONNECTIONS=100

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Listen Timeout
SPX listen timeout:  Specifies how long (in ticks) the SPX* protocol waits without receiving a packet from the other side of the connection before it requests the other side to send a packet to confirm that the connection is still valid.

 Notes


SPX Listen Timeout Notes

Default:  108

Range:  1 to 65535 (ticks)

Dynamic

Notes

If SPX* has not heard from the other side of the connection within this time, it sends packets to the other side asking for verification that the connection still exists.

You should not adjust this setting unless SPX is timing out too soon.

You can change this setting by using any of the following:

The SPX tab of IPX* 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  spx listen timeout=number

Example:  PROTOCOL IPX

SPX LISTEN TIMEOUT=200

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Tab

SPX* connections

SPX verify timeout

SPX listen timeout

SPX abort timeout

Allow connection watchdogging

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SPX Verify Timeout
SPX verify timeout:  Specifies how often (in ticks) the SPX* protocol sends a packet to the other side of a connection to indicate that it exists.

 Notes


SPX Verify Timeout Notes

Default:  54

Range:  1 to 65535 (ticks)

Dynamic

Notes

If no packets are being exchanged on the SPX* connection by the software that established the session, SPX sends packets at regular intervals to verify its presence in the connection.

You should not adjust this setting unless SPX is timing out too soon.

You can change this setting by using any of the following:

The SPX tab of IPX* 32-bit Protocol...Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  spx verify timeout=number

Example:  PROTOCOL IPX

SPX VERIFY TIMEOUT=108

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SRoute 16 Tab

The ROUTE.COM file provides source routing for 16-bit ODI*, token-ring LAN drivers.  The ROUTE.COM file is loaded in the AUTOEXEC.BAT file.  You can edit the AUTOEXEC.BAT file and add command line parameters to the ROUTE.COM file as needed.  Help for the ROUTE.COM command line parameters is available by entering ROUTE.COM /? at a DOS prompt.

Note

If you want ROUTE.COM loaded for both token-ring frame types (Token-Ring and Token-Ring_SNAP), put ROUTE.COM in the AUTOEXEC.BAT file twice, once for each frame type.

This also applies if you are using an FDDI network adapter, which can also use two frame types (FDDI_802.2 and FDDI_Snap).

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


SRoute 32 Tab

Source Routing Parameters For:

Enabled

All Route (AR) Broadcast Responses For

General Broadcasts (GBR)

Unknown Addresses (DEF)

Multicast Addresses (MBR)

Routes Expire in (Time)

Send on Timed Out Routes (XTX)

Broadcast Response (RSP)

Broadcast on Alternate Ring count (TRA)

Broadcast on This Ring Only count (TRO)


Save Settings When Exiting Login
Save settings when exiting Login:  To have the graphical login utility remember and use (by default) any settings you change, check this check box.  To have the graphical login utility use the same default settings every time you use it, uncheck this check box.

 Notes


Save Settings When Exiting Login Notes

Default:  Off

You can change this setting by using either of the following:

The Login tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Search Dirs First
Search Dirs First:  Specifies whether directories or files are displayed first when using the DIR command.

 Notes


Search Dirs First Notes

Default:  Off

Valid values:  on | off

Notes

"Off" display files first, and then directories.

"On" displays directories first, and then files.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  search dir first= on | off

Example:  NETWARE DOS REQUESTER

SEARCH DIR FIRST=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Search Mode
Search Mode:  Alters the way Client 32* finds a file that is not in the current directory.

 Notes


Search Mode Notes

Default:  1

Range:  0 to 7

Notes

In some previous NetWare* Client* software versions, the default drive had to be a network drive for this setting to function. But for Client 32, the effect is global.  This setting affects all .EXE and .COM files, regardless of the current drive.

When using Search Mode, select the search mode that works correctly with most of your .EXE and .COM files.

If you want to set a search mode for one particular .EXE or .COM file, use the Search Mode option in FLAG.  (For more information, see "FLAG" in the Utilities Reference  manual.)

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  search mode=number

Example:  NETWARE DOS REQUESTER

SEARCH MODE=2

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Search Mode Number

The values are as follows:

0 = No search instructions.  Default value for executable files.

1 = If a directory path is specified in the executable file, the executable file searches only that path.

      If a path is not specified, the executable file searches the default directory and network search drives.

2 = The executable file searches only the default directory or the path specified.

3 = If a directory path is specified in the executable file, the executable file searches only that path.

      If a path is not specified and the executable file opens data files flagged Read Only, the executable file searches the default directory and search drives.

4 = Reserved.

5 = The executable file searches the default directory and NetWare search drives whether or not the path is specified.

      If a search mode is set, the shell allows searches for any files with .XXX extension; otherwise the executable file searches only for .EXE, .COM, and .BAT files.

6 = Reserved.

7 = If the executable file opens data files flagged Read Only, the executable file searches the default directory and search drives whether or not the path is specified in the executable file.


Seconds Before Timeout
Seconds before timeout:  Specifies the number of seconds the operating system waits after the last data is received before closing the print job.

 Notes


Seconds Before Timeout Notes

Default:  0

Range:  0 to 1000 (seconds)

For instructions about how to display Novell* NetWare* Client* 32* Properties so you can change this setting, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Select Printer Model
Allows you to specify the manufacturer and model information for the selected printer.


Send on Timed Out Routes (XTX)
Send on Timed Out Routes (XTX):  Specifies the number of times to transmit on a timed-out route, using the old route.

 Notes


Send on Timed Out Routes (XTX) Notes

Default:  2

Valid Values:  0 to 255 (times)

This setting is optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


Servers Tab

Nearest NetWare*/IP* Servers

Add

Remove

Replace

Preferred Domain SAP/RIP Servers

Add

Remove

Replace

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Set Station Time
Set Station Time:  Synchronizes the client workstation date and time with that of the NetWare* server that the client workstation initially attaches to.

 Notes


Set Station Time Notes

Default:  On

Valid values:  on | off

Notes

Setting the value of this parameter to "off" disables the synchronization feature.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  set station time= on | off

Example:  NETWARE DOS REQUESTER

SET STATION TIME=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Set Up Point and Print

1.	Get the printer driver files.

Get the Windows** 95** CD-ROM or the Windows 95 printer driver files supplied by the printer's manufacturer.

2.	Log in as ADMIN or a user with ADMIN equivalent rights for the printer or print queue.

3.	Choose a printer or print queue in the Windows Explorer or Network Network Neighborhood.

4.	Choose File.

5.	Choose Properties.

6.	Choose Setup Point and Print.

7.	Specify the path for the printer driver files.

You must be logged in to the tree or server where the path is located.  You must also have sufficient rights for the specified directory to copy the files there.  Users need Read and File Scan rights for the specified directory.

8.	Choose Select Printer Model.

9.	Choose the manufacturer of the printer.

10.	Choose the model of the printer.

11.	Choose OK.

The printer driver files are copied to the path specified in step 7.

12.	Choose OK.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Setting
Setting:  Specifies the value for the selected parameter.

 Notes


Setting Notes

For information about a parameter, choose the parameter and press F1.

For instructions about how to display Novell* NetWare* Client* 32* Properties so you can change these parameters, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Setup Point and Print Tab

Overview

Path from which clients can download driver files:

Use preferred path

Current printer model:

Disable point and print

Clear current settings	Select printer model


Short Machine Type
Short Machine Type:  Specifies which overlay files to use with the specific machine type of your client workstation.

 Notes


Short Machine Type Notes

Default:  IBM

Example:  AST

Notes

This setting is similar to Long Machine Type, except that it is used specifically with overlay files.

Use this setting when the %SMACHINE variable is accessed.

The value for this setting can be up to four characters long.

Examples of files using this setting and value include the IBM$RUN.OVL file for the windowing utilities and the CMPQ$RUN.OVL file that uses a default black-and-white color palette for NetWare menus.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  short machine type="name"

Example:  NETWARE DOS REQUESTER

SHORT MACHINE TYPE="AST"

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Show Dots
Show Dots:  Specifies whether to display parent dots in list boxes for file and directory navigation.

 Notes


Show Dots Notes

Default:  Off

Valid values:  on | off

Notes

This setting is supported only by NetWare* 2.11 and later.

The NetWare server doesn't have directory entries for "." and ".." as DOS does.  To see "." and ".." in directory listings, set the value for this setting to "on."

Set the value of this parameter to "on" when using Windows** 3.1x  or DOS graphical user interface (GUI) with NetWare.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  show dots= on | off

Example:  NETWARE DOS REQUESTER

SHOW DOTS=OFF

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Show NetWare Rights Property Page

To allow users to display the NetWare* Rights property page, check this check box.

To hide the NetWare Rights property page, uncheck this check box.

Notes

By default, users can display the NetWare Rights property page.

You can change this setting using the System Policy Editor.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Signature Level
Signature Level:  Designates the level of enhanced security support.

 Notes


Signature Level Notes

Default:  1

Range:  0 to 3

The values are as follows:

0 = Disabled

1 = Enabled but not preferred

2 = Preferred

3 = Required

Dynamic

Notes

Setting the value of this parameter to 2 or 3 increases security but decreases performance.

Enhanced security includes the use of a message digest algorithm and a per connection/per request session state.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  signature level=number

Example:  NETWARE DOS REQUESTER

SIGNATURE LEVEL=3

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Software Search Tab

Directory levels to search from root

Additional Search Paths

Browse

Add

Delete

Replace


Source Routing Notes

Default:  Off

If you are using an NDIS** driver for a token-ring or FDDI network adapter and you want to use source routing, check this check box.

This setting applies to all logical boards  presented by all token-ring and FDDI NDIS drivers.

ODI* LAN drivers do not use this functionality.  For information about source routing when using an ODI driver, see SRoute 32 Tab.

You can change this setting by using either of the following:

The IPX* tab of IPX 32-bit Protocol...Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Source Routing Overview
Understanding Source Routing

Enable source routing for a token-ring or FDDI LAN driver to pass packets (frames) from NetWare* through IBM-compatible source route bridges.  For 32-bit ODI* LAN drivers, source routing can be enabled and the source-routing information in the frames can be configured using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.  For NDIS** LAN drivers, source routing can be enabled using the IPX* tab of IPX 32-bit Protocol...Properties.

Source routing is a method used by IBM** to route data across source-routing bridges. NetWare source routing programs allow an IBM token ring network bridge to forward NetWare packets (frames).

IBM bridges can be configured as either single-route broadcast or all-routes broadcast. (Default is single-route broadcast.)

Single-route broadcasting:  Only designated single-route bridges pass the packet, and only one copy of the packet arrives on each ring in the network.  Single-route bridges can transmit single-route, all-routes, and specifically routed packets.

All-routes broadcasting:  The packet is sent across every possible route in the network, resulting in as many copies of the packet at the destination as there are bridges in the network.  All-routes bridges can transmit all-routes and specifically routed packets.

For more information about source routing, see the Novell* Concepts  manual or the IBM Token-Ring Network Architecture Reference.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Source Routing Parameters For
Source Routing Parameters For:  Specifies the frame type to configure for source routing.

 Notes


Source Routing Parameters For Notes

Default:  Token-Ring (for token-ring network adapters) or FDDI_802.2 (for FDDI network adapters)

The SRoute 32 property page is two pages in one.  For a token-ring network adapter, one page is for the Token-Ring frame type and the other is for the Token-Ring_Snap frame type.  Use this setting to specify which frame type you want to configure.  When you're finished configuring for one frame type, you can specify the other frame type and configure for it.

The frame types for token-ring network adapters are Token-Ring and Token-Ring_Snap.

The frame types for FDDI network adapters are FDDI_802.2 and FDDI_Snap.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


System Contact
System contact:  Specifies the name of the system administrator for your workstation.

 Notes


System Contact Notes

Default:  None

Informs the SNMP manager of your workstation's system administrator (network supervisor).

Use the real name of the person who should be contacted if your workstation needs maintenance.

This setting is optional.

This contact information can be retrieved by SNMP management stations.

This information can be used by itself or with the System name or System location information.

You can change this setting by using any of the following:

The SNMP tab of Novell* SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  sysContact = contact

Example:  Desktop SNMP

sysContact = Bob Jones x324

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


System Location
System location:  Specifies the physical location of your workstation.

 Notes


System Location Notes

Default:  None

Informs the SNMP manager of the physical location of your workstation.

This setting is optional.

This location information can be retrieved by SNMP management stations.

This information can be used by itself or with the System contact or System name information.

You can change this setting by using any of the following:

The SNMP tab of Novell* SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  sysLocation = location

Example:  Desktop SNMP

sysLocation = Building 2

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


System Name
System name:  Specifies your username.

 Notes


System Name Notes

Default:  None

Informs the SNMP manager of your username.

Use your user or login name--or your TCP/IP hostname, if one is assigned.  For example, if your login name is KSMITH, specify KSMITH.

This setting is optional.

This username information can be retrieved by SNMP management stations.

This information can be used by itself or with the System contact or System location information.

You can change this setting by using any of the following:

The SNMP tab of Novell* SNMP Agent Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  Desktop SNMP

Syntax:  sysName = name

Example:  Desktop SNMP

sysName = Suzanne

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


System Registry Configuration Notes

NetWare* Client* 32* for Windows** 95** uses the Windows system registry to store configuration properties.  It does not use the NET.CFG file.  Parameters that were in the NET.CFG file are now in the registry.

You should not edit the system registry.  An error in the system registry can sometimes disable a workstation.

You don't need to edit the system registry because configuration properties can be changed using property sheets and system policies.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Tape Drives Tab

Local Tape Drives

Add

Remove

Replace


This Ring Alternate (TRA) and This Ring Only (TRO) Notes

Default:  0

Valid Values:  0 to 255

When the values of the TRA and the TRO settings are both 0 (the default) and source routing is enabled, all frames (packets) are always routed.

When the values of TRA and TRO are both nonzero and source routing is enabled, the destination of General Broadcast frames alternates between the alternate ring and the local ring.  In other words, the General Broadcast frames alternate between being source routed and not being source routed.

The General Broadcast frames alternate only after being sent the number of times specified by TRA and TRO.  TRA controls how many times the  frames are sent.to the alternate ring, and TRO controls the number of times they are sent to the local ring.

When the value of TRA is nonzero, the value of TRO is 0, and source routing is enabled, General Broadcast frames are always sent across the bridge to the alternate ring.

When the value of TRA is 0, the value of TRO is nonzero. and source routing is enabled, General Broadcast frames are never sent across the bridge to the alternate ring.

If a workstation needs to send frames to some destinations that require source routing and to some destinations that cannot be reached using source routing, set both TRA and TRO to nonzero values.

The TRA and TRO settings are optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


Tick

There are approximately 18.21 ticks per second on IBM** PCs and compatibles.  Therefore, you can assume the following:

3 seconds is about 54 ticks

30 seconds is about 545 ticks

1 minute is about 1090 ticks

5 minutes is about 5460 ticks


To Display Host Resources MIB for Novell Client 32 Properties
Display the Host Resources MIB Properties

1.	Click here  [image] to display the Network control panel.

2.	Choose Host Resources MIB for Novell* Client* 32*.

3.	Choose Properties.

Notes

To display a property page (Printers and Modems, Tape Drives, or Software Search), click its corresponding tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


To Display IPX 32-bit Protocol Properties
Display IPX Properties

1.	Click here  [image] to display the Network control panel.

2.	Choose IPX* 32-bit Protocol for Novell* NetWare* Client* 32*.

3.	Choose Properties.

Notes

To display a property page (Bindings, IPX, Advanced IPX, or SPX*), click its corresponding tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


To Display Network Adapter Properties
Display Network Adapter Properties

1.	Click here  [image] to display the Network control panel.

2.	Choose a network adapter (for example, [image] Novell* NE2000*).

3.	Choose Properties.

Notes

To display a property page (ODI* Driver, SRoute 32, or SRoute 16), click its corresponding tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


To Display Novell NetWare Client 32 Properties
Display Novell NetWare Client 32 Properties

1.	Click here  [image] to display the Network control panel.

2.	Choose Novell* NetWare* Client* 32*.

3.	Choose Properties.

Notes

To display a property page (Client 32*, Login, Default Capture, or Advanced Settings), click its corresponding tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


To Display Novell NetWare/IP Protocol Properties
Display NetWare/IP Properties

1.	Click here  [image] to display the Network control panel.

2.	Choose Novell* NetWare*/IP* protocol.

3.	Choose Properties.

Notes

To display a property page (Bindings, Servers, or Parameters), click its corresponding tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


To Display Printer Properties
Display Printer Properties (Printers Folder)

1.	Choose Start on the taskbar.

2.	Choose Settings.

3.	Choose Printers.

4.	Choose a printer.

5.	Choose File.

6.	Choose Properties.

Notes

To display a property page (such as Printer Settings), click its corresponding tab.


To Display Printer Properties 2
Display Printer Properties

1.	Choose a printer or print queue in the Windows** Explorer or Network Neighborhood.

2.	Choose File.

3.	Choose Properties.

Notes

To display a property page (NetWare* Printer, NetWare Queue, Setup Point and Print), click its corresponding tab.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Trademarks

Copyright © 1994-1996, Novell, Inc.  All rights reserved.  Patent Pending.

Novell Trademarks

Client 32 is a trademark of Novell, Inc.

GroupWise is a trademark of Novell, Inc.

IPX is a trademark of Novell, Inc.

IPX/SPX is a trademark of Novell, Inc.

LANalyzer is a registered trademark of Novell, Inc. in the United States and other countries.

Link Support Layer and LSL are trademarks of Novell, Inc.

ManageWise is a trademark of Novell, Inc.

NE2000 is a trademark of Novell, Inc.

NetWare is a registered trademark of Novell, Inc. in the United States and other countries.

NetWare 3 is a trademark of Novell, Inc.

NetWare 4 is a trademark of Novell, Inc.

NetWare Client is a trademark of Novell, Inc.

NetWare Core Protocol and NCP are trademarks of Novell, Inc.

NetWare Directory Services and NDS are trademarks of Novell, Inc.

NetWare DOS Requester is a trademark of Novell, Inc.

NetWare/IP is a trademark of Novell, Inc.

NetWare Loadable Module and NLM are trademarks of Novell, Inc.

NetWare Management System and NMS are trademarks of Novell, Inc.

NetWire is a registered service mark of Novell, Inc. in the United States and other countries.

Network Support Encyclopedia Professional Volume and NSEPro are trademarks of Novell, Inc.

Novell is a registered trademark of Novell, Inc. in the United States and other countries.

Novell Application Notes is trademark of Novell, Inc.

Novell Authorized Reseller is a service mark of Novell, Inc.

Novell Gold Partner is a service mark of Novell, Inc.

Novell Labs is a trademark of Novell, Inc.

The Novell Network Symbol is a trademark of Novell, Inc.

Novell Platinum Partner is a service mark of Novell, Inc.

Novell Technical Services is a service mark of Novell, Inc.

Open Data-Link Interface and ODI are trademarks of Novell, Inc.

Packet Burst is a trademark of Novell, Inc.

SPX is a trademark of Novell, Inc.

Storage Management Services and SMS are trademarks of Novell, Inc.

Virtual Loadable Module and VLM are trademarks of Novell, Inc.

Third-Party Trademarks

CompuServe is a registered trademark of CompuServe, Inc.

Hewlett Packard and HP are registered trademarks of Hewlitt-Packard Company.

IBM is a registered trademark of International Business Machines Corporation.

Intel is a registered trademark of Intel Corporation.

Microsoft is a registered trademark of Microsoft Corporation.

MS is a registered trademark of Microsoft Corporation.

MS-DOS is a registered trademark of Microsoft Corporation.

Netscape is a trademark of Netscape Communications Corporation.

Netscape Navigator is a trademark of Netscape Communications Corporation.

Network Driver Interface Specification and NDIS are trademarks of PC-Plus Communications LP.

OS/2 is a registered trademark of International Business Machines Corporation.

PostScript is a registered trademark of Adobe Systems Incorporated.

Unicode is a registered trademark of Transoft Ltd.

Windows is a registered trademark of Microsoft Corporation.

Windows 95 is a trademark of Microsoft Corporation.

Windows NT is a trademark of Microsoft Corporation.


True Commit
True Commit:  Specifies whether file writes should be written to the server's disk immediately.

 Notes


True Commit Notes

Default:  Off

Valid values:  on | off

Dynamic

Notes

Set the value of this parameter to "on" to guarantee data integrity when processing critical data.  This slows performance, because data that is written to the network is not cached at the workstation or the server.

When this parameter is "off," you get better performance.

Select "off" to choose performance over integrity.  Select "on" to choose integrity over performance.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32* Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NetWare DOS Requester*

Syntax:  true commit= on | off

Example:  NETWARE DOS REQUESTER

TRUE COMMIT=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Type of Form
Type of form:  Choose the form you want.

 Notes


Type of Form Notes

Only the printer forms that can be used with the selected printer are shown.

Printer forms are defined using NetWare* Administrator or PRINTDEF.

You can change this setting for a specific printer using Printer Properties.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Understanding Point and Print

Point and print allows you to associate a manufacturer and model with a Printer or Print Queue object and store the print driver for the printer in a publicly accessible network directory.  This simplifies printer setup for users who want to use that printer.  When they install that printer at their workstation, they don't need to know the manufacturer and model of the printer, and they don't need to hunt for the print driver.

Client 32* enables network supervisors to set up point and print for their users.  It also allows users to use point and print to set up printers.  In fact, Client 32 users can use point and print to set up a printer even if the network supervisor used the Microsoft** Client for NetWare* Networks to set up point and print for the printer.  In the special case when point and print is set up twice for the same printer, once using NetWare Client 32 and once using the Client for NetWare Networks, Client 32 users use the point and print configuration that was done using Client 32.

You can use point and print for bindery and NetWare Directory Services* (NDS*) printers and print queues.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Unknown Addresses (DEF)
Unknown Addresses (DEF):  If you want all Unknown Unicast frames sent and all frames with addresses not in the Source Routing table forwarded as All Routes Broadcast frames, check this check box.  (This is not recommended because it increases the amount of network traffic.)  If you want all frames with addresses not in the Source Routing table forwarded as Single Route Broadcast frames, uncheck this check box.

 Notes


Unknown Addresses (DEF) Notes

Default:  Off

This setting is optional.

You can change this setting by using the SRoute 32 tab of the property sheet for your token-ring or FDDI network adapter.


Unsupported Configuration Settings

The following were supported as NetWare* configuration options in previous NetWare clients but are not supported in this release of NetWare Client* 32* for Windows** 95**:

Named Pipes

NetBIOS

NetWare DOS TSA

Protocol RPL

Protocol TCPIP

Transport Provider

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Use All Detected Frame Types
Use all detected frame types:  If you want IPX* to automatically bind to all logical boards that it detects, choose this button.

 Notes


Use All Detected Frame Types Notes

Default:  On

When this setting is chosen, IPX* automatically binds to all logical boards.  The LAN drivers don't need to be loaded before IPX.  If IPX detects that a LAN driver is loaded, it then binds to the logical boards presented by that LAN driver.

If IPX doesn't need to use all the logical boards that are presented to it, you can use the Use only the following frame types setting to specify just those logical boards that are needed.  By using only the logical boards that are needed, you improve the performance of your workstation.

For instructions about how to display IPX 32-bit Protocol...Properties so you can change this setting, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Use Only the Following Frame Types
Use only the following frame types:  If you want to specify the logical boards that IPX* binds to, choose this button.  You specify the logical boards by specifying the frame type.  Each time you specify a frame type, choose Add to add it to the list.

 Notes


Use Only the Following Frame Types Notes

Default:  Off

If IPX* doesn't need to use all the logical boards that are presented to it, you can use this setting to specify just those logical boards that are needed.  By using this setting, you improve the performance of your workstation.

You can change this setting by using either of the following:

The Advanced IPX tab of IPX 32-bit Protocol...Properties

Administrator Defaults

Administrator Defaults Information

Option:  Protocol IPX

Syntax:  net bind=FrameType

Example:  PROTOCOL IPX

NET BIND=ETHERNET_II

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Use Preferred Path
Use preferred path:  To use the recommended path for the print driver files, check this check box.  Otherwise, uncheck this check box.

 Notes


Use Preferred Path Notes

Default:  On

You can change this setting by using the Setup Point and Print tab of Printer Properties.


Use Video BIOS
Use Video BIOS:  Specifies whether Client 32* uses BIOS or direct video memory access.

 Notes


Use Video BIOS Notes

Default:  Off

Valid values:  on | off

Notes

If character-mode popups do not function well, try setting the value of this parameter to "on," which causes Client 32* to use BIOS calls.  Otherwise, this parameter should be "off," which causes Client 32 to use direct video memory access.

Direct video memory access is faster than using BIOS calls.

This parameter applies only to messages that are displayed in character mode.

You can change this setting by using any of the following:

The Advanced Settings tab of Novell* NetWare* Client* 32 Properties

The System Policy Editor

Administrator Defaults

Administrator Defaults Information

Option:  NIOS

Syntax:  use video bios= on | off

Example:  NIOS

USE VIDEO BIOS=ON

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Verbose
Verbose:  If you need to troubleshoot NetWare*/IP*, check this check box..  Additional NetWare/IP messages are logged when this parameter is on.

 Notes


Verbose Notes

Default:  Off

You can change this setting by using either of the following:

The Parameters tab of Novell* NetWare*/IP* Protocol Properties

The System Policy Editor

You cannot change this setting by using Administrator Defaults

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


What's New: Link Support

New Settings

Max Buffer Size

More Information

Click here for more information about the Link Support option and its settings.


What's New: NetWare DOS Requester

NetWare* DOS Requester* settings can be configured using the Login and Advanced Settings tabs of Novell* NetWare Client* 32* Properties.

New Settings

Auto Reconnect Level

Close Behind Ticks

Delay Writes

Environment Pad

File Cache Level

Hold Files

Max Cache Size

Max Cur Dir Length

NCP Max Timeout

Net Status Timeout

Net Status Busy Timeout

Opportunistic Locking

Search Dirs First

Changed Settings

NetWare Protocol

Packet Burst*

Packet Burst Read Window Size

Packet Burst Write Window Size

Obsolete Settings

More Information

Click here for more information about the NetWare DOS Requester option and its settings.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


What's New: Protocol IPX

IPX* settings are configured using the IPX and Advanced IPX tabs of IPX 32-bit Protocol...Properties.

New Settings

Custom (Net) Bind

IPX Diagnostics

Pre-Allocate VGNMA Memory

Primary Board

Source Routing

Changed Settings

IPX Retry Count

Obsolete Settings

The following IPX settings are no longer used and are ignored if specified:

Bind (replaced by Custom (Net) Bind)

IPATCH

IPX Packet Size Limit

IPX Sockets

More Information

For more information about the Protocol IPX option and its settings, click here.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


What's New: Protocol SPX

SPX* settings are configured using the SPX tab of IPX* 32-bit Protocol...Properties.

New Settings

SPX Watchdogs

Changed Settings

SPX Connections

Obsolete Settings

The following SPX setting is no longer used and is ignored if specified:

Minimum SPX Retries

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


What's New: SNMP

SNMP settings are configured using the SNMP tab of the Novell* SNMP Agent Properties.

Changed Settings

Enable control community

Enable monitor community

Obsolete Settings

The following settings are no longer used and are ignored if specified:

Asynchronous timeout

Enable trap community

Trap community

More Information

Click here for more information about SNMP settings.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


What's New?
What's New: Overview

Minimal Configuration Needed

Client 32* is designed to minimize the need for configuration.  Most settings have default values that work well in most environments.  Client 32 uses some settings as a guide or as an initial value and then dynamically adjusts their run-time equivalents for optimum performance.  Therefore, you shouldn't have to spend a lot of time configuring Client 32.

Many Configuration Settings Available

Nevertheless, for those of you with unique needs or preferences, Client 32 allows you to change its configuration settings to meet your wants and needs.

New Configuration Methods

Client 32 is configured using property sheets or system policies.  It can also be configured during installation using an ADMIN.CFG file.  Except for 16-bit ODI* LAN drivers and for preserving existing settings during installation, Client 32 is not configured using a NET.CFG file.

Why Use Property Sheets

Property sheets allow you to change Client 32 settings at a workstation using a graphical interface that includes help for each of the settings.

Why Use System Policies

System policies allow you to configure the Client 32 settings for all the Windows** 95** workstations on your network.  They also allow you to do this remotely so you don't have to go to each workstation.  In fact, you should be able to do all the work at your own desk.  There are some settings that can be configured only by using system policies, and there are some settings that cannot be configured by using system policies

Why Use an ADMIN.CFG File

The ADMIN.CFG file allows you to configure the Client 32 settings during installation.  By installing from a NetWare server, you can configure multiple workstations using the same ADMIN.CFG file.  The ADMIN.CFG file uses the same syntax as a NET.CFG file.  However, you should be familiar with the settings that are supported by NetWare* Client** 32 for Windows 95.  Some parameters from previous NetWare clients are no longer supported, some parameters have changed and, of course, there are some new parameters.

Configuration Settings Are in the Registry

The Client 32 configuration settings are stored in the system registry (not in the NET.CFG file).  You should not edit the system registry directly.  Use property sheets or system policies instead.

Dynamic Settings

Client 32 dynamically adjusts as many settings as it can.  Therefore, some configuration settings that were used in previous NetWare clients are no longer needed and are ignored if specified.

Long Filename Support

Client 32 supports long filenames.  This requires using the OS/2** name space.  For more information, see Configuring for Long Filename Support.

* Novell trademark.  ** Third-party trademark.  For more information, see Trademarks.


Write-Behind Caching

When using this caching method, Client 32* writes an entire block of data instead of writing just the amount of data requested.  In other words, data is written to a cached data block until the entire data block is filled; then the entire block is written at once instead of being written directly to the network in smaller chunks.